C
C
      SUBROUTINE ANDATA (IZ,ISETAB,UI)
C
C***********************************************************************
C
C     ANEOS PACKAGE                                    DATA STATEMENTS
C     ATOMIC WEIGHT OF ELEMENT Z IS (Z*(Z+1))/2
C     FIRST IONIZATION POTENTIAL OF ELEMENT Z IS (Z*(Z+1))/2+1
C     LAST IONIZATION POTENTIAL OF ELEMENT Z IS (Z*(Z+1))/2+Z
C
C     Part of this subroutine moved to ANDATB and ANDATD
C     to save compiler space and allow block data if required.
C     WARNING - Look out for loaders that do not load block data
C     from libraries.
C
C************************************** 8/87 version slt ***************
C
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
      DIMENSION UI(40)
      COMMON /FILEOS/ KLST, KINP
C     maximum number of aneos eos - must be 10 for csq
      PARAMETER (MAXMAT=10)
      COMMON /ANES/  ACK(99*MAXMAT),ZZS(30*MAXMAT),COT(30*MAXMAT)
     1 ,FNI(30*MAXMAT),RCT(MAXMAT+1),TCT(MAXMAT+1),RSOL(100*MAXMAT)
     2 ,RVAP(100*MAXMAT),TTWO(100*MAXMAT),SAVER(92),BOLTS,EIP(4370)
     3 ,LOCSV(MAXMAT+1),LOCKP(MAXMAT+1),LOCKPL(MAXMAT+1),NOTRAD
      PARAMETER (ZERO=0.D0)
      REAL DTAB
      CHARACTER*24 NAMTAB
C
C    Tabular data is defined in BLOCK DATA program ANDATD.f and sent
C       here in the following common statements
C
      COMMON /LIBTAB/ NUMTAB, ITABLE(9), ITABPL(9), ITABTY(9), DTAB(238)
      COMMON /LIBCAB/ NAMTAB(9)
C
      SAVE   /FILEOS/,/ANES/,/LIBTAB/,/LIBCAB/
C     SELECT EOS FROM TABLE
        DO 10 I=1,NUMTAB
        IF (ISETAB.NE.ITABLE(I)) GO TO 10
        IS=ITABPL(I)
        KS=I
        ISNUM=MIN(40,MAX(ITABTY(I),24))
        GO TO 20
   10   CONTINUE
      CALL ANMARK('ANEOS library data not available')
      WRITE(KLST,50) ISETAB
      STOP
C
C     FOUND TABLE
C
   20 CONTINUE
      LS=1
        DO 22 I=1,24
        IF(NAMTAB(KS)(I:I).NE.' ') LS=I
   22   CONTINUE
      WRITE(KLST,60) ISETAB,NAMTAB(KS)(1:LS)
C
C    Transfer data to output array UI(40)
C
        DO 30 I=1,ISNUM
        UI(I)=ZERO
        UI(I)=DTAB(IS)
   30   IS=IS+1
      J1=UI(1)
      JK=IZ-1
        DO 40 I=1,J1
        JK=JK+1
        ZZS(JK)=ZERO
        COT(JK)=ZERO
        ZZS(JK)=DTAB(IS)
        COT(JK)=DTAB(IS+1)
   40   IS=IS+2
C
   50 FORMAT ('1 THERE IS NO ANEOS TABLE',I6,' IN DATA LIST')
   60 FORMAT ('  ANEOS library number',I6,' ( ',A,' ) located',/)
      RETURN
      END
C
      BLOCK DATA ANDATB
C
C***********************************************************************
C
C     PART OF SUBROUTINE ANDATA - SPLIT OFF FOR COMPILER SPACE
C
C     ANEOS PACKAGE
C     DATA STATEMENTS
C     ATOMIC WEIGHT OF ELEMENT Z IS (Z*(Z+1))/2
C     FIRST IONIZATION POTENTIAL OF ELEMENT Z IS (Z*(Z+1))/2+1
C     LAST IONIZATION POTENTIAL OF ELEMENT Z IS (Z*(Z+1))/2+Z
C
C************************************** 8/87 version slt ***************
C
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
      SAVE
C     maximum number of aneos eos - must be 10 for csq
      PARAMETER (MAXMAT=10)
      COMMON /ANES/  ACK(99*MAXMAT),ZZS(30*MAXMAT),COT(30*MAXMAT)
     1 ,FNI(30*MAXMAT),RCT(MAXMAT+1),TCT(MAXMAT+1),RSOL(100*MAXMAT)
     2 ,RVAP(100*MAXMAT),TTWO(100*MAXMAT),SAVER(92),BOLTS,EIP(4370)
     3 ,LOCSV(MAXMAT+1),LOCKP(MAXMAT+1),LOCKPL(MAXMAT+1),NOTRAD
      SAVE   /ANES/
      PARAMETER (IJK=99*MAXMAT)
      PARAMETER (IJL=30*MAXMAT)
      PARAMETER (IJM=2*MAXMAT+2)
      DATA ACK/IJK*0.D0/
      DATA ZZS/IJL*0.D0/
      DATA BOLTS/1.60207D-12/  !Boltzman constant in units of eV
      DATA RCT,TCT /IJM*0.D0/
C     Z =  1
      DATA (EIP(I),I=1,2)/1.00801D0,1.3595D+01/
C     Z =  2
      DATA (EIP(I),I=3,5)/4.0028D0,2.4581D+01,5.4403D+01/
C     Z =  3
      DATA (EIP(I),I=6,9)/6.9390D0,5.3900D+00,7.5619D+01,1.2242D+02/
C     Z =  4
      DATA (EIP(I),I=10,14)/9.013D0,9.3200D+00,1.8206D+01,1.5385D+02,2.1
     1766D+02/
C     Z =  5
      DATA (EIP(I),I=15,20)/10.812D0,8.2960D+00,2.5149D+01,3.7920D+01,2.
     15930D+02,3.4013D+02/
C     Z =  6
      DATA (EIP(I),I=21,27)/12.01161D0,1.1256D+01,2.4376D+01,4.7871D+01,
     16.4476D+01,3.9199D+02,4.8984D+02/
C     Z =  7
      DATA (EIP(I),I=28,35)/14.0073D0,1.4530D+01,2.9593D+01,4.7426D+01,7
     1.7450D+01,9.7863D+01,5.5192D+02,6.6683D+02/
C     Z =  8
      DATA (EIP(I),I=36,44)/16.000D0,1.3614D+01,3.5108D+01,5.4886D+01,7.
     17394D+01,1.1387D+02,1.3808D+02,7.3911D+02,8.7112D+02/
C     Z =  9
      DATA (EIP(I),I=45,54)/18.9992D0,1.7418D+01,3.4980D+01,6.2646D+01,8
     1.7140D+01,1.1421D+02,1.5712D+02,1.8514D+02,9.5360D+02,1.1020D+03/
C     Z = 10
      DATA (EIP(I),I=55,65)/20.184D0,2.1559D+01,4.1070D+01,6.3500D+01,9.
     17020D+01,1.2630D+02,1.5791D+02,2.0720D+02,2.3910D+02,1.1956D+03,1.
     23604D+03/
C     Z = 11
      DATA (EIP(I),I=66,77)/22.991D0,5.1380D+00,4.7290D+01,7.1650D+01,9.
     18880D+01,1.3837D+02,1.7209D+02,2.0844D+02,2.6416D+02,2.9978D+02,1.
     24648D+03,1.6461D+03/
C     Z = 12
      DATA (EIP(I),I=78,90)/24.313D0,7.6440D+00,1.5031D+01,8.0120D+01,1.
     10929D+02,1.4123D+02,1.8649D+02,2.2490D+02,2.6596D+02,3.2790D+02,3.
     26736D+02,1.7612D+03,1.9590D+03/
C     Z = 13
      DATA (EIP(I),I=91,104)/26.982D0,5.9840D+00,1.8823D+01,2.8440D+01,1
     1.1996D+02,1.5377D+02,1.9042D+02,2.4138D+02,2.8453D+02,3.3010D+02,3
     2.9850D+02,4.4190D+02,2.0855D+03,2.2990D+03/
C     Z = 14
      DATA (EIP(I),I=105,119)/28.090D0,8.1490D+00,1.6340D+01,3.3460D+01,
     14.5130D+01,1.6673D+02,2.0511D+02,2.4641D+02,3.0307D+02,3.5096D+02,
     24.0130D+02,4.7600D+02,5.2320D+02,2.4360D+03,2.6660D+03/
C     Z = 15
      DATA (EIP(I),I=120,135)/30.975D0,1.0484D+01,1.9720D+01,3.0156D+01,
     15.1354D+01,6.5007D+01,2.2041D+02,2.6331D+02,3.0926D+02,3.7160D+02,
     24.2430D+02,4.7940D+02,5.6030D+02,6.1140D+02,2.8150D+03,3.0610D+03/
C     Z = 16
      DATA (EIP(I),I=136,152)/32.066D0,1.0357D+01,2.3400D+01,3.5000D+01,
     14.7290D+01,7.2500D+01,8.8029D+01,2.8099D+02,3.2880D+02,3.7895D+02,
     24.4700D+02,5.0580D+02,5.6600D+02,6.5100D+02,7.0600D+02,3.2200D+03,
     33.4820D+03/
C     Z = 17
      DATA (EIP(I),I=153,170)/35.454D0,1.3010D+01,2.3800D+01,3.9900D+01,
     15.3500D+01,6.7800D+01,9.6700D+01,1.1427D+02,3.4830D+02,4.0070D+02,
     24.5530D+02,5.3090D+02,5.9300D+02,6.6300D+02,7.4900D+02,8.0700D+02,
     33.6540D+03,3.9310D+03/
C     Z = 18
      DATA (EIP(I),I=171,189)/39.949D0,1.5755D+01,2.7620D+01,4.0900D+01,
     15.9790D+01,7.5000D+01,9.1300D+01,1.2400D+02,1.4346D+02,4.2260D+02,
     24.7940D+02,5.3890D+02,6.2100D+02,6.8700D+02,7.5500D+02,8.5400D+02,
     39.1600D+02,4.1150D+03,4.4070D+03/
C     Z = 19
      DATA (EIP(I),I=190,209)/39.103D0,4.3390D+00,3.1810D+01,4.6000D+01,
     16.0900D+01,8.2600D+01,9.9700D+01,1.1800D+02,1.5500D+02,1.7594D+02,
     25.0380D+02,5.6400D+02,6.2900D+02,7.1700D+02,7.8800D+02,8.7000D+02,
     39.6600D+02,1.0310D+03,4.6030D+03,4.9100D+03/
C     Z = 20
      DATA (EIP(I),I=210,230)/40.080D0,6.1110D+00,1.1868D+01,5.1210D+01,
     16.7000D+01,8.4390D+01,1.0900D+02,1.2800D+02,1.4330D+02,1.8800D+02,
     22.1130D+02,5.9180D+02,6.5500D+02,7.2700D+02,8.2000D+02,8.9600D+02,
     39.9000D+02,1.0840D+03,1.1530D+03,5.1190D+03,5.4710D+03/
C     Z = 21
      DATA (EIP(I),I=231,252)/44.958D0,6.5400D+00,1.2800D+01,2.4750D+01,
     17.3900D+01,9.2000D+01,1.1100D+02,1.3900D+02,1.5900D+02,1.8000D+02,
     22.2600D+02,2.5000D+02,6.8700D+02,7.5800D+02,8.3000D+02,9.3000D+02,
     31.0100D+03,1.1150D+03,1.2100D+03,1.2820D+03,5.4833D+03,6.0354D+03/
C     Z = 22
      DATA (EIP(I),I=253,275)/47.900D0,6.8200D+00,1.3570D+01,2.7470D+01,
     14.3240D+01,9.9800D+01,1.2000D+02,1.4100D+02,1.7200D+02,1.9300D+02,
     22.1700D+02,2.6600D+02,2.9100D+02,7.8800D+02,8.6400D+02,9.4100D+02,
     31.0460D+03,1.1320D+03,1.2450D+03,1.3410D+03,1.4178D+03,6.0493D+03,
     46.6277D+03/
C     Z = 23
      DATA (EIP(I),I=276,299)/50.944D0,6.7400D+00,1.4650D+01,2.9400D+01,
     14.8000D+01,6.5000D+01,1.2900D+02,1.5100D+02,1.7400D+02,2.0600D+02,
     22.3050D+02,2.5800D+02,3.0900D+02,3.3600D+02,8.9700D+02,9.7600D+02,
     31.0570D+03,1.1700D+03,1.2600D+03,1.3800D+03,1.4805D+03,1.5603D+03,
     46.6438D+03,7.2484D+03/
C     Z = 24
      DATA (EIP(I),I=300,324)/52.000D0,6.7640D+00,1.6490D+01,3.0950D+01,
     15.0000D+01,7.3000D+01,9.1000D+01,1.6100D+02,1.8500D+02,2.1000D+02,
     22.4900D+02,2.7200D+02,2.9900D+02,3.5500D+02,3.8400D+02,1.0130D+03,
     31.0950D+03,1.1820D+03,1.3010D+03,1.3950D+03,1.5252D+03,1.6263D+03,
     41.7097D+03,7.2667D+03,7.8974D+03/
C     Z = 25
      DATA (EIP(I),I=325,350)/54.940D0,7.4330D+00,1.5636D+01,3.3690D+01,
     15.3000D+01,7.6000D+01,1.0000D+02,1.1900D+02,1.9600D+02,2.2200D+02,
     22.4800D+02,2.8800D+02,3.1500D+02,3.5000D+02,4.0400D+02,4.3500D+02,
     31.1360D+03,1.2220D+03,1.3130D+03,1.4380D+03,1.5380D+03,1.6780D+03,
     41.7790D+03,1.8660D+03,7.9180D+03,8.5750D+03/
C     Z = 26
      DATA (EIP(I),I=351,377)/55.849D0,7.8700D+00,1.6180D+01,3.0643D+01,
     15.7000D+01,7.9000D+01,1.0300D+02,1.3000D+02,1.5100D+02,2.3500D+02,
     22.6200D+02,2.9000D+02,3.3000D+02,3.5500D+02,3.9000D+02,4.5700D+02,
     34.8900D+02,1.2660D+03,1.3540D+03,1.4500D+03,1.5830D+03,1.6870D+03,
     41.8370D+03,1.9380D+03,2.0290D+03,8.5990D+03,9.2810D+03/
C     Z = 27
      DATA (EIP(I),I=378,405)/58.9356D0,7.860D+00,1.7050D+01,3.3490D+01,
     15.3000D+01,8.3000D+01,1.0800D+02,1.3400D+02,1.6400D+02,1.9000D+02,
     22.9000D+02,3.0500D+02,3.3700D+02,3.8000D+02,4.1200D+02,4.4400D+02,
     35.1200D+02,5.4700D+02,1.4030D+03,1.4950D+03,1.5949D+03,1.7342D+03,
     41.8429D+03,2.0045D+03,2.1045D+03,2.1989D+03,9.3098D+03,1.0018D+04/
C     Z = 28
      DATA (EIP(I),I=406,434)/58.710D0,7.6330D+00,1.8150D+01,3.5160D+01,
     15.6000D+01,7.9000D+01,1.1200D+02,1.4000D+02,1.6900D+02,2.0200D+02,
     22.3000D+02,3.2100D+02,3.5000D+02,3.8500D+02,4.3000D+02,4.5500D+02,
     35.0000D+02,5.3000D+02,6.0700D+02,1.5410D+03,1.6421D+03,1.7465D+03,
     41.8922D+03,2.0055D+03,2.1789D+03,2.2779D+03,2.3755D+03,1.0048D+04,
     51.0782D+04/
C     Z = 29
      DATA (EIP(I),I=435,464)/63.550D0,7.7240D+00,2.0290D+01,3.6830D+01,
     15.9000D+01,8.2000D+01,1.1000D+02,1.4000D+02,1.7000D+02,2.0600D+02,
     22.4100D+02,2.6500D+02,3.7000D+02,4.0000D+02,4.4000D+02,4.8000D+02,
     35.2000D+02,5.6000D+02,6.3000D+02,6.7100D+02,1.6940D+03,1.7960D+03,
     41.9050D+03,2.0570D+03,2.1750D+03,2.3600D+03,2.4580D+03,2.5590D+03,
     51.0813D+04,1.1573D+04/
C     Z = 30
      DATA (EIP(I),I=465,495)/65.370D0,9.3910D+00,1.7960D+01,3.9700D+01,
     16.2000D+01,8.6000D+01,1.1500D+02,1.4500D+02,1.8000D+02,2.1000D+02,
     22.5000D+02,2.7935D+02,3.1100D+02,4.2000D+02,4.5000D+02,4.9000D+02,
     35.4000D+02,5.8000D+02,6.2000D+02,7.0000D+02,7.4111D+02,1.8500D+03,
     41.9555D+03,2.0680D+03,2.2225D+03,2.3593D+03,2.5473D+03,2.6592D+03,
     52.7671D+03,1.1665D+04,1.2441D+04/
C     Z = 31
      DATA (EIP(I),I=496,527)/69.720D0,6.0000D+00,2.0510D+01,3.0700D+01,
     16.4200D+01,9.0000D+01,1.1800D+02,1.4400D+02,1.7400D+02,2.1800D+02,
     22.5500D+02,2.8922D+02,3.2071D+02,3.6584D+02,4.7072D+02,5.0313D+02,
     35.4522D+02,5.9701D+02,6.4272D+02,6.8534D+02,7.7042D+02,8.1423D+02,
     42.0127D+03,2.1217D+03,2.2379D+03,2.3948D+03,2.5503D+03,2.7414D+03,
     52.8673D+03,2.9821D+03,1.2543D+04,1.3336D+04/
C     Z = 32
      DATA (EIP(I),I=528,560)/72.600D0,7.8800D+00,1.5930D+01,3.4210D+01,
     14.5700D+01,9.3400D+01,1.1300D+02,1.4800D+02,1.7700D+02,2.1200D+02,
     22.6200D+02,2.9525D+02,3.3145D+02,3.6510D+02,4.2370D+02,5.2445D+02,
     35.5929D+02,6.0345D+02,6.5704D+02,7.0845D+02,7.5370D+02,8.4387D+02,
     48.9038D+02,2.1822D+03,2.2948D+03,2.4145D+03,2.5739D+03,2.7482D+03,
     52.9423D+03,3.0821D+03,3.2038D+03,1.3449D+04,1.4259D+04/
C     Z = 33
      DATA (EIP(I),I=561,594)/74.9242D0,9.810D+00,1.8630D+01,2.8340D+01,
     15.0100D+01,6.2600D+01,1.2750D+02,1.5000D+02,1.8200D+02,2.1800D+02,
     22.5300D+02,3.0264D+02,3.3851D+02,3.7671D+02,4.1251D+02,4.8458D+02,
     35.8121D+02,6.1846D+02,6.6471D+02,7.2008D+02,7.7721D+02,8.2508D+02,
     49.2033D+02,9.6955D+02,2.3586D+03,2.4747D+03,2.5979D+03,2.7598D+03,
     52.9529D+03,3.1500D+03,3.3037D+03,3.4324D+03,1.4383D+04,1.5208D+04/
C     Z = 34
      DATA (EIP(I),I=595,629)/78.960D0,9.7500D+00,2.1500D+01,3.2000D+01,
     14.3000D+01,6.8000D+01,8.2000D+01,1.5500D+02,1.8700D+02,2.2300D+02,
     22.6000D+02,2.9560D+02,3.4631D+02,3.8480D+02,4.2499D+02,4.6294D+02,
     35.4849D+02,6.4099D+02,6.8066D+02,7.2899D+02,7.8616D+02,8.4899D+02,
     48.9949D+02,9.9982D+02,1.0517D+03,2.5417D+03,2.6613D+03,2.7881D+03,
     52.9525D+03,3.1643D+03,3.3645D+03,3.5321D+03,3.6677D+03,1.5343D+04,
     61.6185D+04/
C     Z = 35
      DATA (EIP(I),I=630,665)/79.912D0,1.1840D+01,2.1600D+01,3.5900D+01,
     14.7300D+01,5.9700D+01,8.8600D+01,1.0300D+02,1.9300D+02,2.2800D+02,
     22.6600D+02,3.0390D+02,3.4122D+02,3.9299D+02,4.3411D+02,4.7629D+02,
     35.1640D+02,6.1541D+02,7.0379D+02,7.4587D+02,7.9629D+02,8.5525D+02,
     49.2379D+02,9.7691D+02,1.0823D+03,1.1370D+03,2.7317D+03,2.8548D+03,
     52.9851D+03,3.1520D+03,3.3826D+03,3.5858D+03,3.7673D+03,3.9099D+03,
     61.6330D+04,1.7189D+04/
C     Z = 36
      DATA (EIP(I),I=666,702)/83.800D0,1.3996D+01,2.4560D+01,3.6900D+01,
     15.2000D+01,6.5000D+01,7.9000D+01,1.1000D+02,1.2600D+02,2.3400D+02,
     22.7000D+02,3.1123D+02,3.5082D+02,3.8986D+02,4.4269D+02,4.8644D+02,
     35.3061D+02,5.7287D+02,6.8536D+02,7.6961D+02,8.1411D+02,8.6661D+02,
     49.2736D+02,1.0016D+03,1.0574D+03,1.1679D+03,1.2252D+03,2.9284D+03,
     53.0550D+03,3.1890D+03,3.3583D+03,3.6076D+03,3.8139D+03,4.0094D+03,
     64.1588D+03,1.7345D+04,1.8220D+04/
C     Z = 37
      DATA (EIP(I),I=703,740)/85.480D0,4.1760D+00,2.7500D+01,4.0000D+01,
     15.2000D+01,7.1000D+01,8.5000D+01,1.0000D+02,1.3500D+02,1.5100D+02,
     22.7700D+02,3.1672D+02,3.5948D+02,4.0076D+02,4.4152D+02,4.9542D+02,
     35.4179D+02,5.8795D+02,6.3236D+02,7.5833D+02,8.3845D+02,8.8537D+02,
     49.3995D+02,1.0025D+03,1.0825D+03,1.1408D+03,1.2564D+03,1.3164D+03,
     53.1319D+03,3.2621D+03,3.3996D+03,3.5714D+03,3.8395D+03,4.0488D+03,
     64.2582D+03,4.4145D+03,1.8387D+04,1.9278D+04/
C     Z = 38
      DATA (EIP(I),I=741,779)/87.630D0,5.6920D+00,1.1027D+01,4.3000D+01,
     15.7000D+01,7.2000D+01,9.2000D+01,1.0700D+02,1.2400D+02,1.6200D+02,
     21.7900D+02,3.2400D+02,3.6646D+02,4.1076D+02,4.5372D+02,4.9620D+02,
     35.5117D+02,6.0017D+02,6.4832D+02,6.9488D+02,8.3432D+02,9.1032D+02,
     49.5965D+02,1.0163D+03,1.0806D+03,1.1663D+03,1.2273D+03,1.3480D+03,
     51.4107D+03,3.3423D+03,3.4759D+03,3.6170D+03,3.7913D+03,4.0781D+03,
     64.2905D+03,4.5138D+03,4.6771D+03,1.9456D+04,2.0364D+04/
C     Z = 39
      DATA (EIP(I),I=780,819)/88.908D0,6.3800D+00,1.2230D+01,2.0500D+01,
     16.2000D+01,7.7000D+01,9.3000D+01,1.1600D+02,1.3100D+02,1.4800D+02,
     21.9100D+02,2.0600D+02,3.7299D+02,4.1922D+02,4.6505D+02,5.0971D+02,
     35.5391D+02,6.0994D+02,6.6156D+02,7.1170D+02,7.6042D+02,9.1332D+02,
     49.8520D+02,1.0369D+03,1.0957D+03,1.1618D+03,1.2532D+03,1.3168D+03,
     51.4426D+03,1.5080D+03,3.5594D+03,3.6966D+03,3.8412D+03,4.0180D+03,
     64.3236D+03,4.5390D+03,4.7762D+03,4.9464D+03,2.0553D+04,2.1477D+04/
C     Z = 40
      DATA (EIP(I),I=820,860)/91.220D0,6.8400D+00,1.3130D+01,2.2980D+01,
     13.4330D+01,8.2000D+01,9.9000D+01,1.1700D+02,1.4100D+02,1.5700D+02,
     21.7600D+02,2.2200D+02,2.5000D+02,4.2500D+02,4.7500D+02,5.2237D+02,
     35.6871D+02,6.1463D+02,6.7173D+02,7.2597D+02,7.7811D+02,8.2897D+02,
     49.9536D+02,1.0631D+03,1.1173D+03,1.1781D+03,1.2460D+03,1.3431D+03,
     51.4094D+03,1.5402D+03,1.6083D+03,3.7833D+03,3.9240D+03,4.0722D+03,
     64.2515D+03,4.5758D+03,4.7943D+03,5.0454D+03,5.2225D+03,2.1676D+04,
     72.2616D+04/
C     Z = 41
      DATA (EIP(I),I=861,902)/92.910D0,6.8800D+00,1.4320D+01,2.5040D+01,
     13.8300D+01,5.0000D+01,1.0300D+02,1.2500D+02,1.4300D+02,1.6700D+02,
     21.8500D+02,2.0300D+02,2.4888D+02,2.8281D+02,4.8379D+02,5.3443D+02,
     35.8270D+02,6.3074D+02,6.7838D+02,7.3654D+02,7.9341D+02,8.4753D+02,
     49.0055D+02,1.0804D+03,1.1440D+03,1.2006D+03,1.2635D+03,1.3332D+03,
     51.4360D+03,1.5049D+03,1.6408D+03,1.7117D+03,4.0140D+03,4.1583D+03,
     64.3100D+03,4.4918D+03,4.8349D+03,5.0564D+03,5.3214D+03,5.5054D+03,
     72.2827D+04,2.3784D+04/
C     Z = 42
      DATA (EIP(I),I=903,945)/95.950D0,7.1000D+00,1.6150D+01,2.7130D+01,
     14.6400D+01,6.1200D+01,6.8000D+01,1.2600D+02,1.5300D+02,1.6900D+02,
     21.9700D+02,2.1000D+02,2.3334D+02,2.7746D+02,3.1732D+02,5.4561D+02,
     35.9689D+02,6.4606D+02,6.9579D+02,7.4515D+02,8.0437D+02,8.6387D+02,
     49.1998D+02,9.7515D+02,1.1685D+03,1.2280D+03,1.2870D+03,1.3520D+03,
     51.4235D+03,1.5320D+03,1.6035D+03,1.7445D+03,1.8180D+03,4.2516D+03,
     64.3993D+03,4.5546D+03,4.7388D+03,5.1007D+03,5.3252D+03,5.6042D+03,
     75.7952D+03,2.4005D+04,2.4978D+04/
C     Z = 43
      DATA (EIP(I),I=946,989)/99.000D0,7.2800D+00,1.5260D+01,3.1000D+01,
     14.3000D+01,5.9000D+01,7.6000D+01,9.4000D+01,1.6100D+02,1.8300D+02,
     21.9900D+02,2.2400D+02,2.4072D+02,2.6538D+02,3.0775D+02,3.5353D+02,
     36.1044D+02,6.6237D+02,7.1244D+02,7.6385D+02,8.1493D+02,8.7522D+02,
     49.3735D+02,9.9545D+02,1.0528D+03,1.2596D+03,1.3149D+03,1.3764D+03,
     51.4434D+03,1.5167D+03,1.6309D+03,1.7051D+03,1.8512D+03,1.9274D+03,
     64.4959D+03,4.6472D+03,4.8060D+03,4.9927D+03,5.3734D+03,5.6009D+03,
     75.8938D+03,6.0917D+03,2.5210D+04,2.6199D+04/
C     Z = 44
      DATA (EIP(I),I=990,1034)/101.070D0,7.3640D+00,1.6760D+01,2.8460D+0
     11,4.6000D+01,6.3000D+01,8.1000D+01,1.0000D+02,1.1900D+02,1.9300D+0
     22,2.1600D+02,2.2500D+02,2.5295D+02,2.7314D+02,2.9912D+02,3.3973D+0
     32,3.9144D+02,6.7830D+02,7.3086D+02,7.8184D+02,8.3494D+02,8.8774D+0
     42,9.4910D+02,1.0138D+03,1.0739D+03,1.1334D+03,1.3537D+03,1.4049D+0
     53,1.4688D+03,1.5379D+03,1.6130D+03,1.7329D+03,1.8097D+03,1.9609D+0
     63,2.0398D+03,4.7470D+03,4.9018D+03,5.0642D+03,5.2534D+03,5.6528D+0
     73,5.8834D+03,6.1902D+03,6.3950D+03,2.6442D+04,2.7448D+04/
C     Z = 45
      DATA (EIP(I),I=1035,1080)/102.910D0,7.4600D+00,1.8070D+01,3.1050D+
     101,4.6000D+01,6.7000D+01,8.5000D+01,1.0500D+02,1.2600D+02,1.4700D+
     202,2.2600D+02,2.5000D+02,2.6700D+02,2.8360D+02,3.0726D+02,3.3457D+
     302,3.7341D+02,4.3105D+02,7.4918D+02,8.0238D+02,8.5426D+02,9.0906D+
     402,9.6357D+02,1.0260D+03,1.0934D+03,1.1554D+03,1.2171D+03,1.4508D+
     503,1.4979D+03,1.5642D+03,1.6354D+03,1.7123D+03,1.8379D+03,1.9173D+
     603,2.0736D+03,2.1552D+03,5.0049D+03,5.1632D+03,5.3292D+03,5.5209D+
     703,5.9390D+03,6.1727D+03,6.4934D+03,6.7051D+03,2.7701D+04,2.8724D+
     804/
C     Z = 46
      DATA (EIP(I),I=1081,1127)/106.400D0,8.3300D+00,1.9420D+01,3.2920D+
     101,4.9000D+01,6.6000D+01,9.0000D+01,1.1000D+02,1.3200D+02,1.5500D+
     202,1.7800D+02,2.6100D+02,2.7807D+02,2.9711D+02,3.1594D+02,3.4308D+
     302,3.7170D+02,4.0879D+02,4.7236D+02,8.2308D+02,8.7692D+02,9.2970D+
     402,9.8619D+02,1.0424D+03,1.1059D+03,1.1759D+03,1.2400D+03,1.3038D+
     503,1.5510D+03,1.5940D+03,1.6626D+03,1.7360D+03,1.8146D+03,1.9460D+
     603,2.0280D+03,2.1893D+03,2.2737D+03,5.2696D+03,5.4314D+03,5.6010D+
     703,5.7951D+03,6.2320D+03,6.4687D+03,6.8034D+03,7.0220D+03,2.8988D+
     804,3.0027D+04/
C     Z = 47
      DATA (EIP(I),I=1128,1175)/107.874D0,7.5740D+00,2.1480D+01,3.4820D+
     101,5.2000D+01,7.0000D+01,8.9000D+01,1.1600D+02,1.3900D+02,1.6200D+
     202,1.8700D+02,2.0155D+02,2.7788D+02,3.0784D+02,3.2893D+02,3.4999D+
     302,3.8059D+02,4.1054D+02,4.4587D+02,5.1537D+02,9.0000D+02,9.5448D+
     402,1.0082D+03,1.0663D+03,1.1243D+03,1.1888D+03,1.2615D+03,1.3275D+
     503,1.3935D+03,1.6542D+03,1.6930D+03,1.7641D+03,1.8395D+03,1.9200D+
     603,2.0570D+03,2.1417D+03,2.3081D+03,2.3951D+03,5.5411D+03,5.7065D+
     703,5.8796D+03,6.0762D+03,6.5319D+03,6.7716D+03,7.1202D+03,7.3457D+
     803,3.0302D+04,3.1357D+04/
C     Z = 48
      DATA (EIP(I),I=1176,1224)/112.410D0,8.9910D+00,1.6904D+01,3.7470D+
     101,5.5000D+01,7.3000D+01,9.4000D+01,1.1500D+02,1.4600D+02,1.7000D+
     202,1.9500D+02,2.0986D+02,2.2680D+02,2.9645D+02,3.3931D+02,3.6244D+
     302,3.8574D+02,4.1981D+02,4.5108D+02,4.8464D+02,5.6007D+02,9.7965D+
     402,1.0351D+03,1.0897D+03,1.1495D+03,1.2092D+03,1.2748D+03,1.3501D+
     503,1.4181D+03,1.4862D+03,1.7604D+03,1.7951D+03,1.8686D+03,1.9461D+
     603,2.0284D+03,2.1711D+03,2.2584D+03,2.4299D+03,2.5196D+03,5.8194D+
     703,5.9883D+03,6.1649D+03,6.3641D+03,6.8385D+03,7.0813D+03,7.4437D+
     803,7.6762D+03,3.1643D+04,3.2714D+04/
C     Z = 49
      DATA (EIP(I),I=1225,1274)/114.820D0,5.7850D+00,1.8860D+01,2.8030D+
     101,5.4400D+01,7.7000D+01,9.8000D+01,1.2000D+02,1.4400D+02,1.7800D+
     202,2.0400D+02,2.1702D+02,2.3442D+02,2.5375D+02,3.1673D+02,3.7247D+
     302,3.9765D+02,4.2318D+02,4.6073D+02,4.9332D+02,5.2512D+02,6.0648D+
     402,1.0623D+03,1.1187D+03,1.1742D+03,1.2357D+03,1.2971D+03,1.3638D+
     503,1.4417D+03,1.5117D+03,1.5819D+03,1.8696D+03,1.9002D+03,1.9761D+
     603,2.0557D+03,2.1397D+03,2.2882D+03,2.3781D+03,2.5547D+03,2.6471D+
     703,6.1045D+03,6.2769D+03,6.4571D+03,6.6587D+03,7.1519D+03,7.3977D+
     803,7.7741D+03,8.0135D+03,3.3011D+04,3.4099D+04/
C     Z = 50
      DATA (EIP(I),I=1275,1325)/118.700D0,7.3420D+00,1.4628D+01,3.0490D+
     101,4.0720D+01,7.2300D+01,1.0300D+02,1.2600D+02,1.5000D+02,1.7600D+
     202,2.1300D+02,2.2452D+02,2.4074D+02,2.6068D+02,2.8240D+02,3.3870D+
     302,4.0734D+02,4.3456D+02,4.6233D+02,5.0334D+02,5.3726D+02,5.6730D+
     402,6.5458D+02,1.1480D+03,1.2053D+03,1.2617D+03,1.3249D+03,1.3880D+
     503,1.4558D+03,1.5363D+03,1.6083D+03,1.6807D+03,1.9818D+03,2.0083D+
     603,2.0867D+03,2.1683D+03,2.2542D+03,2.4083D+03,2.5008D+03,2.6825D+
     703,2.7777D+03,6.3964D+03,6.5723D+03,6.7561D+03,6.9602D+03,7.4721D+
     803,7.7210D+03,8.1113D+03,8.3576D+03,3.4406D+04,3.5511D+04/
C     Z = 51
      DATA (EIP(I),I=1326,1377)/121.760D0,8.6390D+00,1.6500D+01,2.5300D+
     101,4.4100D+01,5.6000D+01,1.0800D+02,1.3200D+02,1.5700D+02,1.8400D+
     202,2.1100D+02,2.3060D+02,2.4674D+02,2.6615D+02,2.8863D+02,3.1275D+
     302,3.6238D+02,4.4391D+02,4.7317D+02,5.0317D+02,5.4766D+02,5.8289D+
     402,6.1117D+02,7.0439D+02,1.2367D+03,1.2949D+03,1.3522D+03,1.4172D+
     503,1.4820D+03,1.5508D+03,1.6339D+03,1.7080D+03,1.7825D+03,2.0971D+
     603,2.1195D+03,2.2002D+03,2.2840D+03,2.3716D+03,2.5315D+03,2.6266D+
     703,2.8133D+03,2.9112D+03,6.6951D+03,6.8746D+03,7.0619D+03,7.2684D+
     803,7.7992D+03,8.0510D+03,8.4553D+03,8.7085D+03,3.5829D+04,3.6950D+
     904/
C     Z = 52
      DATA (EIP(I),I=1378,1430)/127.610D0,9.0100D+00,1.8600D+01,3.1000D+
     101,3.8000D+01,6.0000D+01,7.2000D+01,1.3700D+02,1.6400D+02,1.9200D+
     202,2.2000D+02,2.2810D+02,2.4990D+02,2.7066D+02,2.9327D+02,3.1829D+
     302,3.4480D+02,3.8775D+02,4.8217D+02,5.1348D+02,5.4571D+02,5.9367D+
     402,6.3023D+02,6.5675D+02,7.5589D+02,1.3285D+03,1.3876D+03,1.4458D+
     503,1.5124D+03,1.5790D+03,1.6489D+03,1.7346D+03,1.8106D+03,1.8873D+
     603,2.2154D+03,2.2336D+03,2.3168D+03,2.4026D+03,2.4920D+03,2.6576D+
     703,2.7554D+03,2.9472D+03,3.0478D+03,7.0006D+03,7.1836D+03,7.3745D+
     803,7.5835D+03,8.1330D+03,8.3879D+03,8.8061D+03,9.0662D+03,3.7279D+
     904,3.8416D+04/
C     Z = 53
      DATA (EIP(I),I=1431,1484)/126.909D0,1.0454D+01,1.9090D+01,3.2000D+
     101,4.2000D+01,6.6000D+01,8.1000D+01,9.9000D+01,1.7000D+02,2.0000D+
     202,2.2900D+02,2.3500D+02,2.4690D+02,2.7090D+02,2.9628D+02,3.2208D+
     302,3.4964D+02,3.7855D+02,4.1483D+02,5.2214D+02,5.5549D+02,5.8996D+
     402,6.4139D+02,6.7927D+02,7.0403D+02,8.0910D+02,1.4232D+03,1.4833D+
     503,1.5424D+03,1.6107D+03,1.6790D+03,1.7499D+03,1.8383D+03,1.9163D+
     603,1.9951D+03,2.3367D+03,2.3508D+03,2.4364D+03,2.5243D+03,2.6155D+
     703,2.7868D+03,2.8872D+03,3.0841D+03,3.1874D+03,7.3129D+03,7.4994D+
     803,7.6938D+03,7.9053D+03,8.4736D+03,8.7315D+03,9.1636D+03,9.4307D+
     903,3.8756D+04,3.9909D+04/
C     Z = 54
      DATA (EIP(I),I=1485,1539)/131.300D0,1.2129D+01,2.1210D+01,3.2120D+
     101,3.8300D+01,5.1500D+01,6.4200D+01,9.1400D+01,1.0660D+02,1.7520D+
     202,1.9620D+02,2.1860D+02,2.4230D+02,2.6740D+02,2.9360D+02,3.2360D+
     302,3.5260D+02,3.8270D+02,4.1400D+02,4.4360D+02,5.6380D+02,5.9920D+
     402,6.3590D+02,6.9080D+02,7.3000D+02,7.5300D+02,8.6400D+02,1.5210D+
     503,1.5820D+03,1.6420D+03,1.7120D+03,1.7820D+03,1.8540D+03,1.9450D+
     603,2.0250D+03,2.1060D+03,2.4610D+03,2.4710D+03,2.5590D+03,2.6490D+
     703,2.7420D+03,2.9190D+03,3.0220D+03,3.2240D+03,3.3300D+03,7.6320D+
     803,7.8220D+03,8.0200D+03,8.2340D+03,8.8210D+03,9.0820D+03,9.5280D+
     903,9.8020D+03,4.0260D+04,4.1430D+04/
C     Z = 55
      DATA (EIP(I),I=1540,1595)/132.910D0,3.8930D+00,2.5100D+01,3.5000D+
     101,4.6000D+01,6.2000D+01,7.4000D+01,1.0100D+02,1.2000D+02,1.4400D+
     202,2.0500D+02,2.2490D+02,2.4863D+02,2.7364D+02,3.0009D+02,3.2763D+
     302,3.5963D+02,3.8998D+02,4.2147D+02,4.5411D+02,4.9318D+02,6.1037D+
     402,6.4710D+02,6.8506D+02,7.4517D+02,7.8576D+02,8.1586D+02,9.2476D+
     502,1.6178D+03,1.6808D+03,1.7431D+03,1.8150D+03,1.8870D+03,1.9613D+
     603,2.0574D+03,2.1396D+03,2.2230D+03,2.5628D+03,2.5982D+03,2.6884D+
     703,2.7807D+03,2.8760D+03,3.0692D+03,3.1747D+03,3.3826D+03,3.4910D+
     803,7.9631D+03,8.1571D+03,8.3599D+03,8.5790D+03,9.2258D+03,9.4932D+
     903,9.9508D+03,1.0231D+04,4.1958D+04,4.3151D+04/
C     Z = 56
      DATA (EIP(I),I=1596,1652)/137.350D0,5.2100D+00,1.0001D+01,3.6000D+
     101,4.9000D+01,6.2000D+01,8.0000D+01,9.3000D+01,1.2000D+02,1.4300D+
     202,1.5700D+02,2.3120D+02,2.5529D+02,2.8035D+02,3.0668D+02,3.3447D+
     302,3.6335D+02,3.9735D+02,4.2905D+02,4.6194D+02,4.9591D+02,5.4445D+
     402,6.5863D+02,6.9669D+02,7.3592D+02,8.0123D+02,8.4321D+02,8.8041D+
     502,9.8721D+02,1.7177D+03,1.7827D+03,1.8472D+03,1.9210D+03,1.9951D+
     603,2.0717D+03,2.1728D+03,2.2572D+03,2.3430D+03,2.6675D+03,2.7285D+
     703,2.8209D+03,2.9154D+03,3.0130D+03,3.2225D+03,3.3305D+03,3.5442D+
     803,3.6550D+03,8.3009D+03,8.4990D+03,8.7065D+03,8.9308D+03,9.6374D+
     903,9.9111D+03,1.0380D+04,1.0667D+04,4.3682D+04,4.4898D+04/
C     Z = 57
      DATA (EIP(I),I=1653,1710)/138.920D0,5.6100D+00,1.1430D+01,1.9170D+
     101,5.2000D+01,6.6000D+01,8.0000D+01,1.0000D+02,1.1400D+02,1.4400D+
     202,1.6500D+02,2.0400D+02,2.5910D+02,2.8739D+02,3.1378D+02,3.4142D+
     302,3.7056D+02,4.0078D+02,4.3678D+02,4.6983D+02,5.0411D+02,5.3942D+
     402,5.9743D+02,7.0860D+02,7.4799D+02,7.8848D+02,8.5900D+02,9.0237D+
     502,9.4667D+02,1.0514D+03,1.8206D+03,1.8876D+03,1.9544D+03,2.0301D+
     603,2.1062D+03,2.1851D+03,2.2913D+03,2.3779D+03,2.4661D+03,2.7753D+
     703,2.8618D+03,2.9564D+03,3.0532D+03,3.1531D+03,3.3788D+03,3.4893D+
     803,3.7089D+03,3.8221D+03,8.6456D+03,8.8478D+03,9.0600D+03,9.2895D+
     903,1.0056D+04,1.0336D+04,1.0817D+04,1.1110D+04,4.5434D+04,4.6674D+
     $04/
C     Z = 58
      DATA (EIP(I),I=1711,1769)/140.130D0,6.9000D+00,1.2300D+01,2.0000D+
     101,3.5000D+01,7.0000D+01,8.5000D+01,1.0000D+02,1.2200D+02,1.3700D+
     202,1.6500D+02,1.8900D+02,2.2523D+02,2.8870D+02,3.2118D+02,3.4890D+
     302,3.7786D+02,4.0834D+02,4.3990D+02,4.7790D+02,5.1230D+02,5.4798D+
     402,5.8462D+02,6.5210D+02,7.6026D+02,8.0098D+02,8.4274D+02,9.1846D+
     502,9.6322D+02,1.0146D+03,1.1172D+03,1.9265D+03,1.9955D+03,2.0645D+
     603,2.1421D+03,2.2203D+03,2.3015D+03,2.4127D+03,2.5015D+03,2.5921D+
     703,2.8862D+03,2.9981D+03,3.0949D+03,3.1939D+03,3.2961D+03,3.5381D+
     803,3.6511D+03,3.8765D+03,3.9921D+03,8.9971D+03,9.2033D+03,9.4203D+
     903,9.6549D+03,1.0481D+04,1.0767D+04,1.1260D+04,1.1560D+04,4.7213D+
     $04,4.8476D+04/
C     Z = 59
      DATA (EIP(I),I=1770,1829)/140.913D0,5.8000D+00,1.6786D+01,2.3848D+
     101,3.3130D+01,4.9317D+01,8.9000D+01,1.0600D+02,1.2200D+02,1.4600D+
     202,1.6200D+02,1.9700D+02,2.1132D+02,2.4816D+02,3.2000D+02,3.5667D+
     302,3.8572D+02,4.1600D+02,4.4782D+02,4.8072D+02,5.2072D+02,5.5647D+
     402,5.9355D+02,6.3152D+02,7.0847D+02,8.1362D+02,8.5567D+02,8.9870D+
     502,9.7962D+02,1.0258D+03,1.0843D+03,1.1848D+03,2.0355D+03,2.1065D+
     603,2.1777D+03,2.2572D+03,2.3375D+03,2.4210D+03,2.5372D+03,2.6282D+
     703,2.7212D+03,3.0000D+03,3.1375D+03,3.2365D+03,3.3377D+03,3.4422D+
     803,3.7005D+03,3.8160D+03,4.0472D+03,4.1652D+03,9.3553D+03,9.5656D+
     903,9.7873D+03,1.0027D+04,1.0913D+04,1.1206D+04,1.1710D+04,1.2017D+
     $04,4.9020D+04,5.0305D+04/
C     Z = 60
      DATA (EIP(I),I=1830,1890)/144.250D0,6.3000D+00,1.6051D+01,2.8371D+
     101,3.7096D+01,4.7959D+01,6.5334D+01,1.1000D+02,1.2800D+02,1.4700D+
     202,1.7100D+02,1.8357D+02,2.1904D+02,2.3533D+02,2.7278D+02,3.5644D+
     302,3.9387D+02,4.2425D+02,4.5584D+02,4.8901D+02,5.2325D+02,5.6525D+
     402,6.0235D+02,6.4082D+02,6.8013D+02,7.6655D+02,8.6869D+02,9.1207D+
     502,9.5636D+02,1.0425D+03,1.0900D+03,1.1556D+03,1.2540D+03,2.1474D+
     603,2.2204D+03,2.2939D+03,2.3753D+03,2.4576D+03,2.5434D+03,2.6647D+
     703,2.7579D+03,2.8533D+03,3.1424D+03,3.2798D+03,3.3810D+03,3.4845D+
     803,3.5913D+03,3.8658D+03,3.9838D+03,4.2209D+03,4.3413D+03,9.7204D+
     903,9.9347D+03,1.0161D+04,1.0406D+04,1.1352D+04,1.1651D+04,1.2167D+
     $04,1.2480D+04,5.0853D+04,5.2162D+04/
C     Z = 61
      DATA (EIP(I),I=1891,1952)/147.000D0,6.0000D+00,1.8016D+01,2.8001D+
     101,4.1656D+01,5.2043D+01,6.4487D+01,8.3050D+01,1.3500D+02,1.5400D+
     202,1.7300D+02,1.9224D+02,2.0684D+02,2.4277D+02,2.6105D+02,2.9911D+
     302,3.9457D+02,4.3276D+02,4.6447D+02,4.9737D+02,5.3189D+02,5.6747D+
     402,6.1147D+02,6.4992D+02,6.8978D+02,7.3043D+02,8.2632D+02,9.2545D+
     502,9.7016D+02,1.0157D+03,1.1070D+03,1.1560D+03,1.2287D+03,1.3250D+
     603,2.2624D+03,2.3374D+03,2.4131D+03,2.4964D+03,2.5808D+03,2.6689D+
     703,2.7952D+03,2.8906D+03,2.9884D+03,3.2879D+03,3.4252D+03,3.5286D+
     803,3.6343D+03,3.7434D+03,4.0342D+03,4.1547D+03,4.3976D+03,4.5204D+
     903,1.0092D+04,1.0311D+04,1.0542D+04,1.0792D+04,1.1798D+04,1.2103D+
     $04,1.2630D+04,1.2950D+04,5.2714D+04,5.4046D+04/
C     Z = 62
      DATA (EIP(I),I=1953,2015)/150.360D0,5.6000D+00,1.1300D+01,3.1432D+
     101,4.1651D+01,5.6640D+01,6.8690D+01,8.2715D+01,1.0247D+02,1.6100D+
     202,1.8100D+02,1.9434D+02,2.1518D+02,2.3181D+02,2.6821D+02,2.8847D+
     302,3.2714D+02,4.3441D+02,4.7335D+02,5.0639D+02,5.4061D+02,5.7647D+
     402,6.1339D+02,6.5939D+02,6.9919D+02,7.4045D+02,7.8243D+02,8.8779D+
     502,9.8391D+02,1.0299D+03,1.0768D+03,1.1733D+03,1.2236D+03,1.3034D+
     603,1.3976D+03,2.3804D+03,2.4574D+03,2.5354D+03,2.6206D+03,2.7070D+
     703,2.7974D+03,2.9288D+03,3.0264D+03,3.1266D+03,3.4364D+03,3.5736D+
     803,3.6792D+03,3.7872D+03,3.8986D+03,4.2056D+03,4.3286D+03,4.5774D+
     903,4.7026D+03,1.0471D+04,1.0693D+04,1.0929D+04,1.1185D+04,1.2250D+
     $04,1.2562D+04,1.3101D+04,1.3427D+04,5.4602D+04,5.5956D+04/
C     Z = 63
      DATA (EIP(I),I=2016,2079)/151.960D0,5.6700D+00,1.1200D+01,2.9377D+
     101,4.6547D+01,5.7000D+01,7.3323D+01,8.7036D+01,1.0264D+02,1.2358D+
     202,1.8700D+02,2.0165D+02,2.1738D+02,2.3982D+02,2.5848D+02,2.9535D+
     302,3.1758D+02,3.5686D+02,4.7595D+02,5.1564D+02,5.5001D+02,5.8555D+
     402,6.2275D+02,6.6101D+02,7.0901D+02,7.5016D+02,7.9282D+02,8.3613D+
     502,9.5096D+02,1.0441D+03,1.0914D+03,1.1395D+03,1.2413D+03,1.2930D+
     603,1.3799D+03,1.4720D+03,2.5014D+03,2.5804D+03,2.6607D+03,2.7478D+
     703,2.8362D+03,2.9289D+03,3.0654D+03,3.1652D+03,3.2678D+03,3.5879D+
     803,3.7250D+03,3.8328D+03,3.9431D+03,4.0568D+03,4.3800D+03,4.5055D+
     903,4.7602D+03,4.8878D+03,1.0856D+04,1.1083D+04,1.1324D+04,1.1584D+
     $04,1.2709D+04,1.3027D+04,1.3578D+04,1.3911D+04,5.6517D+04,5.7895D+
     $04/
C     Z = 64
      DATA (EIP(I),I=2080,2144)/157.250D0,6.1600D+00,1.2000D+01,2.9835D+
     101,4.8541D+01,6.3361D+01,7.4049D+01,9.1706D+01,1.0708D+02,1.2427D+
     202,1.4639D+02,2.0732D+02,2.2401D+02,2.4212D+02,2.6616D+02,2.8685D+
     302,3.2418D+02,3.4839D+02,3.8829D+02,5.1918D+02,5.5963D+02,5.9533D+
     402,6.3218D+02,6.7073D+02,7.1033D+02,7.6033D+02,8.0283D+02,8.4688D+
     502,8.9153D+02,1.0158D+03,1.1059D+03,1.1546D+03,1.2040D+03,1.3109D+
     603,1.3640D+03,1.4580D+03,1.5480D+03,2.6254D+03,2.7064D+03,2.7889D+
     703,2.8779D+03,2.9684D+03,3.0634D+03,3.2049D+03,3.3069D+03,3.4119D+
     803,3.7424D+03,3.8794D+03,3.9894D+03,4.1019D+03,4.2179D+03,4.5574D+
     903,4.6854D+03,4.9459D+03,5.0759D+03,1.1249D+04,1.1479D+04,1.1725D+
     $04,1.1990D+04,1.3175D+04,1.3500D+04,1.4062D+04,1.4401D+04,5.8459D+
     $04,5.9860D+04/
C     Z = 65
      DATA (EIP(I),I=2145,2210)/158.930D0,6.7000D+00,2.0650D+01,2.8106D+
     101,4.9557D+01,6.8792D+01,8.1875D+01,9.2797D+01,1.1179D+02,1.2883D+
     202,1.4759D+02,1.7091D+02,2.2934D+02,2.4806D+02,2.6857D+02,2.9419D+
     302,3.1692D+02,3.5472D+02,3.8091D+02,4.2141D+02,5.6412D+02,6.0532D+
     402,6.4235D+02,6.8052D+02,7.2041D+02,7.6135D+02,8.1335D+02,8.5720D+
     502,9.0265D+02,9.4863D+02,1.0824D+03,1.1695D+03,1.2195D+03,1.2701D+
     603,1.3823D+03,1.4368D+03,1.5379D+03,1.6258D+03,2.7525D+03,2.8355D+
     703,2.9203D+03,3.0112D+03,3.1037D+03,3.2010D+03,3.3476D+03,3.4518D+
     803,3.5592D+03,3.9000D+03,4.0369D+03,4.1491D+03,4.2639D+03,4.3822D+
     903,4.7379D+03,4.8684D+03,5.1348D+03,5.2672D+03,1.1648D+04,1.1882D+
     $04,1.2132D+04,1.2403D+04,1.3648D+04,1.3979D+04,1.4552D+04,1.4898D+
     $04,6.0428D+04,6.1853D+04/
C     Z = 66
      DATA (EIP(I),I=2211,2277)/162.500D0,6.8000D+00,2.0272D+01,3.6227D+
     101,4.5299D+01,7.0367D+01,9.0132D+01,1.0209D+02,1.1324D+02,1.3357D+
     202,1.5227D+02,1.7262D+02,1.9712D+02,2.5306D+02,2.7381D+02,2.9670D+
     302,3.2393D+02,3.4868D+02,3.8695D+02,4.1512D+02,4.5623D+02,6.1075D+
     402,6.5271D+02,6.9107D+02,7.3055D+02,7.7179D+02,8.1407D+02,8.6807D+
     502,9.1327D+02,9.6011D+02,1.0074D+03,1.1507D+03,1.2347D+03,1.2861D+
     603,1.3380D+03,1.4553D+03,1.5112D+03,1.6194D+03,1.7052D+03,2.8826D+
     703,2.9676D+03,3.0546D+03,3.1474D+03,3.2420D+03,3.3416D+03,3.4932D+
     803,3.5996D+03,3.7094D+03,4.0611D+03,4.1974D+03,4.3118D+03,4.4288D+
     903,4.5494D+03,4.9214D+03,5.0544D+03,5.3266D+03,5.4614D+03,1.2054D+
     $04,1.2292D+04,1.2547D+04,1.2823D+04,1.4128D+04,1.4465D+04,1.5050D+
     $04,1.5403D+04,6.2425D+04,6.3872D+04/
C     Z = 67
      DATA (EIP(I),I=2278,2345)/164.937D0,6.0000D+00,2.0781D+01,3.4931D+
     101,5.2892D+01,6.3580D+01,9.2265D+01,1.1256D+02,1.2400D+02,1.3539D+
     202,1.5705D+02,1.7741D+02,1.9934D+02,2.2503D+02,2.7848D+02,3.0126D+
     302,3.2654D+02,3.5537D+02,3.8215D+02,4.2088D+02,4.5103D+02,4.9276D+
     402,6.5908D+02,7.0180D+02,7.4149D+02,7.8228D+02,8.2487D+02,8.6849D+
     502,9.2449D+02,9.7104D+02,1.0193D+03,1.0679D+03,1.2206D+03,1.3017D+
     603,1.3544D+03,1.4075D+03,1.5301D+03,1.5874D+03,1.7027D+03,1.7864D+
     703,3.0157D+03,3.1027D+03,3.1919D+03,3.2866D+03,3.3833D+03,3.4852D+
     803,3.6418D+03,3.7504D+03,3.8626D+03,4.2253D+03,4.3609D+03,4.4775D+
     903,4.5967D+03,4.7196D+03,5.1079D+03,5.2434D+03,5.5214D+03,5.6586D+
     $03,1.2466D+04,1.2709D+04,1.2969D+04,1.3250D+04,1.4614D+04,1.4957D+
     $04,1.5554D+04,1.5913D+04,6.4449D+04,6.5919D+04/
C     Z = 68
      DATA (EIP(I),I=2346,2414)/167.270D0,6.0000D+00,2.0623D+01,3.5849D+
     101,5.0678D+01,7.0645D+01,8.2949D+01,1.1525D+02,1.3607D+02,1.4665D+
     202,1.5924D+02,1.8223D+02,2.0426D+02,2.2777D+02,2.5464D+02,3.0560D+
     302,3.3041D+02,3.5808D+02,3.8850D+02,4.1732D+02,4.5652D+02,4.8864D+
     402,5.3098D+02,7.0912D+02,7.5259D+02,7.9361D+02,8.3572D+02,8.7965D+
     502,9.2461D+02,9.8261D+02,1.0305D+03,1.0801D+03,1.1301D+03,1.2923D+
     603,1.3704D+03,1.4244D+03,1.4788D+03,1.6066D+03,1.6652D+03,1.7876D+
     703,1.8692D+03,3.1518D+03,3.2408D+03,3.3323D+03,3.4289D+03,3.5276D+
     803,3.6318D+03,3.7935D+03,3.9043D+03,4.0189D+03,4.3925D+03,4.5274D+
     903,4.6462D+03,4.7677D+03,4.8929D+03,5.2974D+03,5.4354D+03,5.7193D+
     $03,5.8589D+03,1.2886D+04,1.3132D+04,1.3397D+04,1.3683D+04,1.5107D+
     $04,1.5457D+04,1.6065D+04,1.6431D+04,6.6500D+04,6.7993D+04/
C     Z = 69
      DATA (EIP(I),I=2415,2484)/168.941D0,6.0000D+00,2.1331D+01,3.6333D+
     101,5.2006D+01,6.7513D+01,8.9485D+01,1.0341D+02,1.3932D+02,1.6068D+
     202,1.7100D+02,1.8478D+02,2.0911D+02,2.3280D+02,2.5789D+02,2.8595D+
     302,3.3442D+02,3.6126D+02,3.9132D+02,4.2334D+02,4.5418D+02,4.9385D+
     402,5.2795D+02,5.7090D+02,7.6085D+02,8.0507D+02,8.4742D+02,8.9085D+
     502,9.3612D+02,9.8242D+02,1.0424D+03,1.0917D+03,1.1427D+03,1.1940D+
     603,1.3657D+03,1.4407D+03,1.4961D+03,1.5517D+03,1.6847D+03,1.7448D+
     703,1.8743D+03,1.9538D+03,3.2910D+03,3.3820D+03,3.4757D+03,3.5742D+
     803,3.6750D+03,3.7815D+03,3.9482D+03,4.0612D+03,4.1782D+03,4.5627D+
     903,4.6970D+03,4.8180D+03,4.9417D+03,5.0692D+03,5.4900D+03,5.6305D+
     $03,5.9202D+03,6.0622D+03,1.3312D+04,1.3563D+04,1.3832D+04,1.4123D+
     $04,1.5607D+04,1.5963D+04,1.6583D+04,1.6956D+04,6.8578D+04,7.0095D+
     $04/
C     Z = 70
      DATA (EIP(I),I=2485,2555)/173.040D0,6.2000D+00,1.2100D+01,3.7750D+
     101,5.3132D+01,6.9249D+01,8.5435D+01,1.0941D+02,1.2495D+02,1.6448D+
     202,1.8637D+02,1.9563D+02,2.1203D+02,2.3769D+02,2.6304D+02,2.8971D+
     302,3.1897D+02,3.6494D+02,3.9381D+02,4.2626D+02,4.5987D+02,4.9275D+
     402,5.3288D+02,5.6897D+02,6.1252D+02,8.1428D+02,8.5926D+02,9.0294D+
     502,9.4768D+02,9.9430D+02,1.0419D+03,1.1039D+03,1.1545D+03,1.2070D+
     603,1.2596D+03,1.4407D+03,1.5128D+03,1.5695D+03,1.6264D+03,1.7646D+
     703,1.8260D+03,1.9626D+03,2.0400D+03,3.4331D+03,3.5261D+03,3.6221D+
     803,3.7225D+03,3.8253D+03,3.9341D+03,4.1059D+03,4.2211D+03,4.3405D+
     903,4.7359D+03,4.8695D+03,4.9927D+03,5.1187D+03,5.2485D+03,5.6855D+
     $03,5.8285D+03,6.1241D+03,6.2685D+03,1.3745D+04,1.4000D+04,1.4274D+
     $04,1.4570D+04,1.6114D+04,1.6476D+04,1.7108D+04,1.7487D+04,7.0684D+
     $04,7.2223D+04/
C     Z = 71
      DATA (EIP(I),I=2556,2627)/174.980D0,6.1000D+00,1.5000D+01,1.9000D+
     101,5.5256D+01,7.1017D+01,8.7581D+01,1.0444D+02,1.3043D+02,1.4758D+
     202,1.9073D+02,2.1314D+02,2.2197D+02,2.4097D+02,2.6797D+02,2.9498D+
     302,3.2324D+02,3.5367D+02,3.9715D+02,4.2806D+02,4.6289D+02,4.9810D+
     402,5.3301D+02,5.7361D+02,6.1167D+02,6.5584D+02,8.6941D+02,9.1515D+
     502,9.6016D+02,1.0062D+03,1.0542D+03,1.1032D+03,1.1672D+03,1.2191D+
     603,1.2729D+03,1.3269D+03,1.5175D+03,1.5865D+03,1.6445D+03,1.7028D+
     703,1.8461D+03,1.9090D+03,2.0527D+03,2.1280D+03,3.5783D+03,3.6733D+
     803,3.7716D+03,3.8739D+03,3.9787D+03,4.0898D+03,4.2667D+03,4.3841D+
     903,4.5059D+03,4.9121D+03,5.0451D+03,5.1705D+03,5.2988D+03,5.4309D+
     $03,5.8841D+03,6.0296D+03,6.3311D+03,6.4779D+03,1.4185D+04,1.4444D+
     $04,1.4722D+04,1.5024D+04,1.6627D+04,1.6996D+04,1.7640D+04,1.8025D+
     $04,7.2816D+04,7.4379D+04/
C     Z = 72
      DATA (EIP(I),I=2628,2700)/178.500D0,7.0000D+00,1.4900D+01,2.1000D+
     101,3.1000D+01,7.3850D+01,8.9991D+01,1.0700D+02,1.2454D+02,1.5253D+
     202,1.7130D+02,2.1807D+02,2.4101D+02,2.5000D+02,2.7161D+02,2.9995D+
     302,3.2862D+02,3.5846D+02,3.9008D+02,4.3107D+02,4.6401D+02,5.0123D+
     402,5.3804D+02,5.7497D+02,6.1604D+02,6.5608D+02,7.0086D+02,9.2624D+
     502,9.7273D+02,1.0191D+03,1.0664D+03,1.1158D+03,1.1661D+03,1.2321D+
     603,1.2854D+03,1.3406D+03,1.3959D+03,1.5960D+03,1.6620D+03,1.7213D+
     703,1.7808D+03,1.9294D+03,1.9936D+03,2.1444D+03,2.2176D+03,3.7265D+
     803,3.8235D+03,3.9240D+03,4.0282D+03,4.1351D+03,4.2485D+03,4.4304D+
     903,4.5500D+03,4.6742D+03,5.0914D+03,5.2237D+03,5.3513D+03,5.4818D+
     $03,5.6162D+03,6.0857D+03,6.2337D+03,6.5410D+03,6.6902D+03,1.4631D+
     $04,1.4894D+04,1.5178D+04,1.5484D+04,1.7148D+04,1.7523D+04,1.8178D+
     $04,1.8570D+04,7.4976D+04,7.6562D+04/
C     Z = 73
      DATA (EIP(I),I=2701,2774)/180.955D0,7.8800D+00,1.6200D+01,2.2000D+
     101,3.3000D+01,4.5000D+01,9.3531D+01,1.1005D+02,1.2751D+02,1.4573D+
     202,1.7572D+02,1.9611D+02,2.4649D+02,2.6996D+02,2.7865D+02,3.0396D+
     302,3.3362D+02,3.6396D+02,3.9538D+02,4.2819D+02,4.6668D+02,5.0165D+
     402,5.4127D+02,5.7967D+02,6.1864D+02,6.6017D+02,7.0219D+02,7.4758D+
     502,9.8477D+02,1.0320D+03,1.0797D+03,1.1284D+03,1.1790D+03,1.2307D+
     603,1.2987D+03,1.3533D+03,1.4099D+03,1.4666D+03,1.6761D+03,1.7391D+
     703,1.7998D+03,1.8606D+03,2.0143D+03,2.0800D+03,2.2379D+03,2.3090D+
     803,3.8777D+03,3.9767D+03,4.0795D+03,4.1856D+03,4.2945D+03,4.4102D+
     903,4.5972D+03,4.7190D+03,4.8456D+03,5.2737D+03,5.4053D+03,5.5351D+
     $03,5.6679D+03,5.8046D+03,6.2903D+03,6.4408D+03,6.7540D+03,6.9056D+
     $03,1.5085D+04,1.5352D+04,1.5640D+04,1.5952D+04,1.7675D+04,1.8057D+
     $04,1.8723D+04,1.9122D+04,7.7163D+04,7.8772D+04/
C     Z = 74
      DATA (EIP(I),I=2775,2849)/183.860D0,7.9800D+00,1.7700D+01,2.4000D+
     101,3.5000D+01,4.8000D+01,6.1000D+01,1.1430D+02,1.3120D+02,1.4910D+
     202,1.6800D+02,2.0000D+02,2.2200D+02,2.7600D+02,3.0000D+02,3.0900D+
     302,3.3800D+02,3.6900D+02,4.0100D+02,4.3400D+02,4.6800D+02,5.0400D+
     402,5.4100D+02,5.8300D+02,6.2300D+02,6.6400D+02,7.0600D+02,7.5000D+
     502,7.9600D+02,1.0450D+03,1.0930D+03,1.1420D+03,1.1920D+03,1.2440D+
     603,1.2970D+03,1.3670D+03,1.4230D+03,1.4810D+03,1.5390D+03,1.7580D+
     703,1.8180D+03,1.8800D+03,1.9420D+03,2.1010D+03,2.1680D+03,2.3330D+
     803,2.4020D+03,4.0320D+03,4.1330D+03,4.2380D+03,4.3460D+03,4.4570D+
     903,4.5750D+03,4.7670D+03,4.8910D+03,5.0200D+03,5.4590D+03,5.5900D+
     $03,5.7220D+03,5.8570D+03,5.9960D+03,6.4980D+03,6.6510D+03,6.9700D+
     $03,7.1240D+03,1.5545D+04,1.5816D+04,1.6109D+04,1.6426D+04,1.8209D+
     $04,1.8597D+04,1.9275D+04,1.9680D+04,7.9377D+04,8.1009D+04/
C     Z = 75
      DATA (EIP(I),I=2850,2925)/186.300D0,7.8700D+00,1.6600D+01,2.6000D+
     101,3.8000D+01,5.1000D+01,6.4000D+01,7.9000D+01,1.4108D+02,1.5874D+
     202,1.7753D+02,1.9719D+02,2.2869D+02,2.5169D+02,3.1019D+02,3.3594D+
     302,3.8743D+02,4.1693D+02,4.4830D+02,4.8068D+02,5.1418D+02,5.4868D+
     402,5.8505D+02,6.2243D+02,6.6443D+02,7.0480D+02,7.4618D+02,7.8868D+
     502,8.3305D+02,8.7930D+02,1.1339D+03,1.1822D+03,1.2314D+03,1.2818D+
     603,1.3342D+03,1.3874D+03,1.4558D+03,1.5122D+03,1.5704D+03,1.6288D+
     703,1.8494D+03,1.9098D+03,1.9722D+03,2.0347D+03,2.1822D+03,2.2494D+
     803,2.4138D+03,2.4831D+03,4.2363D+03,4.3369D+03,4.4414D+03,4.5491D+
     903,4.6597D+03,4.7769D+03,4.9593D+03,5.0828D+03,5.2113D+03,5.6116D+
     $03,5.7787D+03,5.9106D+03,6.0457D+03,6.1848D+03,6.6422D+03,6.7948D+
     $03,7.1104D+03,7.2643D+03,1.5930D+04,1.6228D+04,1.6547D+04,1.6886D+
     $04,1.8807D+04,1.9217D+04,1.9882D+04,2.0308D+04,8.1834D+04,8.3485D+
     $04/
C     Z = 76
      DATA (EIP(I),I=2926,3002)/190.200D0,8.7000D+00,1.7000D+01,2.5000D+
     101,4.0000D+01,5.4000D+01,6.8000D+01,8.3000D+01,9.9000D+01,1.6895D+
     202,1.8737D+02,2.0705D+02,2.2747D+02,2.5847D+02,2.8247D+02,3.4547D+
     302,3.7297D+02,4.6755D+02,4.9755D+02,5.2930D+02,5.6205D+02,5.9605D+
     402,6.3105D+02,6.6780D+02,7.0555D+02,7.4755D+02,7.8830D+02,8.3005D+
     502,8.7305D+02,9.1780D+02,9.6430D+02,1.2246D+03,1.2731D+03,1.3226D+
     603,1.3733D+03,1.4261D+03,1.4796D+03,1.5463D+03,1.6031D+03,1.6616D+
     703,1.7203D+03,1.9426D+03,2.0033D+03,2.0661D+03,2.1291D+03,2.2651D+
     803,2.3326D+03,2.4963D+03,2.5658D+03,4.4436D+03,4.5439D+03,4.6479D+
     903,4.7551D+03,4.8654D+03,4.9819D+03,5.1546D+03,5.2776D+03,5.4056D+
     $03,5.7671D+03,5.9704D+03,6.1021D+03,6.2374D+03,6.3766D+03,6.7894D+
     $03,6.9416D+03,7.2539D+03,7.4076D+03,1.6322D+04,1.6647D+04,1.6991D+
     $04,1.7354D+04,1.9412D+04,1.9844D+04,2.0495D+04,2.0943D+04,8.4318D+
     $04,8.5989D+04/
C     Z = 77
      DATA (EIP(I),I=3003,3080)/192.200D0,9.0000D+00,1.7000D+01,2.7000D+
     101,3.9000D+01,5.7000D+01,7.2000D+01,8.8000D+01,1.0400D+02,1.2100D+
     202,1.9791D+02,2.1709D+02,2.3766D+02,2.5884D+02,2.8934D+02,3.1434D+
     302,3.8184D+02,4.1109D+02,5.4938D+02,5.7988D+02,6.1200D+02,6.4513D+
     402,6.7963D+02,7.1513D+02,7.5225D+02,7.9038D+02,8.3238D+02,8.7350D+
     502,9.1563D+02,9.5913D+02,1.0043D+03,1.0510D+03,1.3169D+03,1.3656D+
     603,1.4154D+03,1.4665D+03,1.5196D+03,1.5734D+03,1.6385D+03,1.6956D+
     703,1.7544D+03,1.8135D+03,2.0374D+03,2.0985D+03,2.1616D+03,2.2251D+
     803,2.3496D+03,2.4174D+03,2.5805D+03,2.6503D+03,4.6540D+03,4.7538D+
     903,4.8573D+03,4.9642D+03,5.0741D+03,5.1898D+03,5.3530D+03,5.4755D+
     $03,5.6030D+03,5.9257D+03,6.1651D+03,6.2967D+03,6.4321D+03,6.5715D+
     $03,6.9396D+03,7.0915D+03,7.4003D+03,7.5540D+03,1.6720D+04,1.7073D+
     $04,1.7442D+04,1.7828D+04,2.0024D+04,2.0478D+04,2.1116D+04,2.1585D+
     $04,8.6829D+04,8.8520D+04/
C     Z = 78
      DATA (EIP(I),I=3081,3159)/195.100D0,9.0000D+00,1.8560D+01,2.8000D+
     101,4.1000D+01,5.5000D+01,7.5000D+01,9.2000D+01,1.0900D+02,1.2700D+
     202,1.4600D+02,2.2795D+02,2.4790D+02,2.6935D+02,2.9130D+02,3.2130D+
     302,3.4730D+02,4.1930D+02,4.5030D+02,6.3290D+02,6.6390D+02,6.9640D+
     402,7.2990D+02,7.6490D+02,8.0090D+02,8.3840D+02,8.7690D+02,9.1890D+
     502,9.6040D+02,1.0029D+03,1.0469D+03,1.0924D+03,1.1394D+03,1.4109D+
     603,1.4599D+03,1.5099D+03,1.5614D+03,1.6149D+03,1.6689D+03,1.7324D+
     703,1.7899D+03,1.8489D+03,1.9084D+03,2.1339D+03,2.1954D+03,2.2589D+
     803,2.3229D+03,2.4359D+03,2.5039D+03,2.6664D+03,2.7364D+03,4.8673D+
     903,4.9668D+03,5.0698D+03,5.1763D+03,5.2858D+03,5.4008D+03,5.5543D+
     $03,5.6763D+03,5.8033D+03,6.0873D+03,6.3628D+03,6.4943D+03,6.6298D+
     $03,6.7693D+03,7.0928D+03,7.2443D+03,7.5498D+03,7.7033D+03,1.7126D+
     $04,1.7506D+04,1.7900D+04,1.8309D+04,2.0643D+04,2.1119D+04,2.1743D+
     $04,2.2233D+04,8.9367D+04,9.1077D+04/
C     Z = 79
      DATA (EIP(I),I=3160,3239)/196.977D0,9.2200D+00,2.0500D+01,3.0000D+
     101,4.4000D+01,5.8000D+01,7.3000D+01,9.6000D+01,1.1400D+02,1.3300D+
     202,1.5300D+02,1.8587D+02,2.5908D+02,2.7979D+02,3.0213D+02,3.2484D+
     302,3.5434D+02,3.8134D+02,4.5784D+02,4.9059D+02,7.1813D+02,7.4963D+
     402,7.8250D+02,8.1638D+02,8.5188D+02,8.8838D+02,9.2625D+02,9.6513D+
     502,1.0071D+03,1.0490D+03,1.0919D+03,1.1364D+03,1.1823D+03,1.2295D+
     603,1.5066D+03,1.5559D+03,1.6061D+03,1.6580D+03,1.7119D+03,1.7661D+
     703,1.8280D+03,1.8859D+03,1.9451D+03,2.0050D+03,2.2321D+03,2.2940D+
     803,2.3579D+03,2.4224D+03,2.5239D+03,2.5921D+03,2.7540D+03,2.8243D+
     903,5.0837D+03,5.1828D+03,5.2853D+03,5.3915D+03,5.5006D+03,5.6148D+
     $03,5.7587D+03,5.8802D+03,6.0067D+03,6.2520D+03,6.5636D+03,6.6950D+
     $03,6.8306D+03,6.9702D+03,7.2491D+03,7.4002D+03,7.7023D+03,7.8557D+
     $03,1.7538D+04,1.7946D+04,1.8365D+04,1.8796D+04,2.1269D+04,2.1767D+
     $04,2.2377D+04,2.2888D+04,9.1933D+04,9.3663D+04/
C     Z = 80
      DATA (EIP(I),I=3240,3320)/200.600D0,1.0430D+01,1.8751D+01,3.4200D+
     101,4.6000D+01,6.1000D+01,7.7000D+01,9.4000D+01,1.2000D+02,1.3900D+
     202,1.5900D+02,1.9125D+02,2.2682D+02,2.9130D+02,3.1277D+02,3.3600D+
     302,3.5947D+02,3.8847D+02,4.1647D+02,4.9747D+02,5.3197D+02,8.0505D+
     402,8.3705D+02,8.7030D+02,9.0455D+02,9.4055D+02,9.7755D+02,1.0158D+
     503,1.0551D+03,1.0971D+03,1.1393D+03,1.1826D+03,1.2276D+03,1.2738D+
     603,1.3213D+03,1.6041D+03,1.6536D+03,1.7041D+03,1.7563D+03,1.8106D+
     703,1.8651D+03,1.9253D+03,1.9836D+03,2.0431D+03,2.1033D+03,2.3321D+
     803,2.3943D+03,2.4586D+03,2.5236D+03,2.6136D+03,2.6821D+03,2.8433D+
     903,2.9138D+03,5.3031D+03,5.4019D+03,5.5039D+03,5.6096D+03,5.7184D+
     $03,5.8319D+03,5.9661D+03,6.0871D+03,6.2131D+03,6.4196D+03,6.7674D+
     $03,6.8986D+03,7.0344D+03,7.1741D+03,7.4084D+03,7.5591D+03,7.8579D+
     $03,8.0111D+03,1.7957D+04,1.8392D+04,1.8836D+04,1.9291D+04,2.1901D+
     $04,2.2421D+04,2.3018D+04,2.3550D+04,9.4526D+04,9.6275D+04/
C     Z = 81
      DATA (EIP(I),I=3321,3402)/204.380D0,6.1060D+00,2.0420D+01,2.9800D+
     101,5.0700D+01,6.4000D+01,8.1000D+01,9.8000D+01,1.1600D+02,1.4500D+
     202,1.6600D+02,1.9596D+02,2.3058D+02,2.6887D+02,3.2461D+02,3.4684D+
     302,3.7096D+02,3.9519D+02,4.2369D+02,4.5269D+02,5.3819D+02,5.7444D+
     402,8.9368D+02,9.2618D+02,9.5980D+02,9.9443D+02,1.0309D+03,1.0684D+
     503,1.1071D+03,1.1467D+03,1.1887D+03,1.2313D+03,1.2749D+03,1.3204D+
     603,1.3671D+03,1.4148D+03,1.7032D+03,1.7529D+03,1.8037D+03,1.8563D+
     703,1.9109D+03,1.9657D+03,2.0243D+03,2.0829D+03,2.1427D+03,2.2033D+
     803,2.4337D+03,2.4963D+03,2.5609D+03,2.6264D+03,2.7049D+03,2.7737D+
     903,2.9343D+03,3.0051D+03,5.5256D+03,5.6239D+03,5.7254D+03,5.8308D+
     $03,5.9392D+03,6.0519D+03,6.1766D+03,6.2971D+03,6.4226D+03,6.5903D+
     $03,6.9742D+03,7.1053D+03,7.2412D+03,7.3811D+03,7.5707D+03,7.7211D+
     $03,8.0164D+03,8.1696D+03,1.8382D+04,1.8845D+04,1.9315D+04,1.9792D+
     $04,2.2540D+04,2.3082D+04,2.3666D+04,2.4219D+04,9.7146D+04,9.8914D+
     $04/
C     Z = 82
      DATA (EIP(I),I=3403,3485)/207.200D0,7.4150D+00,1.5028D+01,3.1930D+
     101,4.2310D+01,6.8800D+01,8.4000D+01,1.0300D+02,1.2200D+02,1.4200D+
     202,1.7300D+02,2.0100D+02,2.3400D+02,2.7100D+02,3.1200D+02,3.5900D+
     302,3.8200D+02,4.0700D+02,4.3200D+02,4.6000D+02,4.9000D+02,5.8000D+
     402,6.1800D+02,9.8400D+02,1.0170D+03,1.0510D+03,1.0860D+03,1.1230D+
     503,1.1610D+03,1.2000D+03,1.2400D+03,1.2820D+03,1.3250D+03,1.3690D+
     603,1.4150D+03,1.4620D+03,1.5100D+03,1.8040D+03,1.8540D+03,1.9050D+
     703,1.9580D+03,2.0130D+03,2.0680D+03,2.1250D+03,2.1840D+03,2.2440D+
     803,2.3050D+03,2.5370D+03,2.6000D+03,2.6650D+03,2.7310D+03,2.7980D+
     903,2.8670D+03,3.0270D+03,3.0980D+03,5.7510D+03,5.8490D+03,5.9500D+
     $03,6.0550D+03,6.1630D+03,6.2750D+03,6.3900D+03,6.5100D+03,6.6350D+
     $03,6.7640D+03,7.1840D+03,7.3150D+03,7.4510D+03,7.5910D+03,7.7360D+
     $03,7.8860D+03,8.1780D+03,8.3310D+03,1.8815D+04,1.9305D+04,1.9800D+
     $04,2.0300D+04,2.3186D+04,2.3750D+04,2.4320D+04,2.4895D+04,9.9793D+
     $04,1.0158D+05/
C     Z = 83
      DATA (EIP(I),I=3486,3569)/208.988D0,7.2870D+00,1.6680D+01,2.5560D+
     101,4.5300D+01,5.6000D+01,8.8300D+01,1.0700D+02,1.2700D+02,1.4800D+
     202,1.6900D+02,2.0356D+02,2.3283D+02,2.6524D+02,3.0127D+02,3.4084D+
     302,3.9803D+02,4.2211D+02,4.4813D+02,4.7407D+02,5.1209D+02,5.4289D+
     402,6.2559D+02,6.7219D+02,1.0171D+03,1.0519D+03,1.0877D+03,1.1247D+
     503,1.1636D+03,1.2034D+03,1.2444D+03,1.2863D+03,1.3321D+03,1.3771D+
     603,1.4231D+03,1.4711D+03,1.5199D+03,1.5701D+03,1.8732D+03,1.9251D+
     703,1.9781D+03,2.0328D+03,2.0898D+03,2.1468D+03,2.2127D+03,2.2736D+
     803,2.3356D+03,2.3987D+03,2.6392D+03,2.7042D+03,2.7709D+03,2.8387D+
     903,2.9454D+03,3.0171D+03,3.1853D+03,3.2586D+03,5.9099D+03,6.0119D+
     $03,6.1169D+03,6.2259D+03,6.3379D+03,6.4546D+03,6.5989D+03,6.7233D+
     $03,6.8528D+03,6.9864D+03,7.4229D+03,7.5581D+03,7.6978D+03,7.8421D+
     $03,8.1184D+03,8.2734D+03,8.5802D+03,8.7403D+03,1.9469D+04,1.9939D+
     $04,2.0416D+04,2.0901D+04,2.3968D+04,2.4521D+04,2.5131D+04,2.5697D+
     $04,1.0270D+05,1.0479D+05/
C     Z = 84
      DATA (EIP(I),I=3570,3654)/210.000D0,8.4300D+00,1.9000D+01,2.7000D+
     101,3.8000D+01,6.1000D+01,7.3000D+01,1.1200D+02,1.3200D+02,1.5400D+
     202,1.7600D+02,2.0181D+02,2.3520D+02,2.6575D+02,2.9757D+02,3.3262D+
     302,3.7077D+02,4.3815D+02,4.6330D+02,4.9035D+02,5.1722D+02,5.6527D+
     402,5.9687D+02,6.7227D+02,7.2747D+02,1.0518D+03,1.0886D+03,1.1261D+
     503,1.1651D+03,1.2058D+03,1.2476D+03,1.2906D+03,1.3343D+03,1.3838D+
     603,1.4308D+03,1.4788D+03,1.5288D+03,1.5796D+03,1.6318D+03,1.9441D+
     703,1.9978D+03,2.0528D+03,2.1093D+03,2.1683D+03,2.2273D+03,2.3021D+
     803,2.3648D+03,2.4288D+03,2.4941D+03,2.7431D+03,2.8101D+03,2.8786D+
     903,2.9481D+03,3.0946D+03,3.1688D+03,3.3453D+03,3.4208D+03,6.0719D+
     $03,6.1779D+03,6.2869D+03,6.3999D+03,6.5159D+03,6.6371D+03,6.8109D+
     $03,6.9396D+03,7.0736D+03,7.2119D+03,7.6649D+03,7.8041D+03,7.9476D+
     $03,8.0961D+03,8.5039D+03,8.6639D+03,8.9854D+03,9.1526D+03,2.0130D+
     $04,2.0580D+04,2.1039D+04,2.1509D+04,2.4756D+04,2.5299D+04,2.5949D+
     $04,2.6505D+04,1.0563D+05,1.0802D+05/
C     Z = 85
      DATA (EIP(I),I=3655,3740)/211.000D0,9.3000D+00,2.0000D+01,2.9000D+
     101,4.1000D+01,5.1000D+01,7.8000D+01,9.1000D+01,1.3800D+02,1.6000D+
     202,1.8300D+02,2.0998D+02,2.3570D+02,2.6793D+02,2.9976D+02,3.3099D+
     302,3.6507D+02,4.0179D+02,4.7936D+02,5.0558D+02,5.3366D+02,5.6147D+
     402,6.1954D+02,6.5194D+02,7.2004D+02,7.8384D+02,1.0883D+03,1.1269D+
     503,1.1661D+03,1.2071D+03,1.2498D+03,1.2934D+03,1.3384D+03,1.3840D+
     603,1.4373D+03,1.4863D+03,1.5363D+03,1.5883D+03,1.6409D+03,1.6953D+
     703,2.0166D+03,2.0723D+03,2.1293D+03,2.1875D+03,2.2485D+03,2.3095D+
     803,2.3931D+03,2.4578D+03,2.5238D+03,2.5911D+03,2.8486D+03,2.9176D+
     903,2.9879D+03,3.0591D+03,3.2454D+03,3.3223D+03,3.5070D+03,3.5848D+
     $03,6.2368D+03,6.3468D+03,6.4598D+03,6.5768D+03,6.6968D+03,6.8227D+
     $03,7.0258D+03,7.1590D+03,7.2975D+03,7.4403D+03,7.9098D+03,8.0532D+
     $03,8.2005D+03,8.3532D+03,8.8923D+03,9.0573D+03,9.3936D+03,9.5680D+
     $03,2.0798D+04,2.1228D+04,2.1669D+04,2.2124D+04,2.5552D+04,2.6084D+
     $04,2.6774D+04,2.7321D+04,1.0859D+05,1.1128D+05/
C     Z = 86
      DATA (EIP(I),I=3741,3827)/222.000D0,1.0746D+01,2.1000D+01,2.9000D+
     101,4.4000D+01,5.5000D+01,6.7000D+01,9.7000D+01,1.1100D+02,1.6600D+
     202,1.9000D+02,2.1852D+02,2.4505D+02,2.7069D+02,3.0175D+02,3.3485D+
     302,3.6550D+02,3.9860D+02,4.3390D+02,5.2165D+02,5.4895D+02,5.7805D+
     402,6.0680D+02,6.7490D+02,7.0810D+02,7.6890D+02,8.4130D+02,1.1264D+
     503,1.1669D+03,1.2079D+03,1.2509D+03,1.2954D+03,1.3409D+03,1.3879D+
     603,1.4354D+03,1.4924D+03,1.5434D+03,1.5954D+03,1.6494D+03,1.7039D+
     703,1.7604D+03,2.0909D+03,2.1484D+03,2.2074D+03,2.2674D+03,2.3304D+
     803,2.3934D+03,2.4859D+03,2.5524D+03,2.6204D+03,2.6899D+03,2.9559D+
     903,3.0269D+03,3.0989D+03,3.1719D+03,3.3979D+03,3.4774D+03,3.6704D+
     $03,3.7504D+03,6.4048D+03,6.5188D+03,6.6358D+03,6.7568D+03,6.8808D+
     $03,7.0113D+03,7.2438D+03,7.3813D+03,7.5243D+03,7.6718D+03,8.1578D+
     $03,8.3053D+03,8.4563D+03,8.6133D+03,9.2838D+03,9.4538D+03,9.8048D+
     $03,9.9863D+03,2.1473D+04,2.1883D+04,2.2306D+04,2.2746D+04,2.6354D+
     $04,2.6876D+04,2.7606D+04,2.8143D+04,1.1158D+05,1.1457D+05/
C     Z = 87
      DATA (EIP(I),I=3828,3915)/223.000D0,4.0000D+00,2.2000D+01,3.3000D+
     101,4.3000D+01,5.9000D+01,7.1000D+01,8.4000D+01,1.1700D+02,1.3300D+
     202,1.9700D+02,2.2782D+02,2.5514D+02,2.8121D+02,3.0676D+02,3.3666D+
     302,3.7103D+02,4.0109D+02,4.3322D+02,4.6709D+02,5.6503D+02,5.9341D+
     402,6.2353D+02,6.5322D+02,7.3134D+02,7.6534D+02,8.1884D+02,8.9984D+
     502,1.1663D+03,1.2086D+03,1.2514D+03,1.2964D+03,1.3428D+03,1.3901D+
     603,1.4391D+03,1.4885D+03,1.5493D+03,1.6023D+03,1.6563D+03,1.7123D+
     703,1.7686D+03,1.8273D+03,2.1669D+03,2.2263D+03,2.2873D+03,2.3490D+
     803,2.4140D+03,2.4790D+03,2.5804D+03,2.6488D+03,2.7188D+03,2.7904D+
     903,3.0649D+03,3.1379D+03,3.2116D+03,3.2864D+03,3.5521D+03,3.6343D+
     $03,3.8355D+03,3.9178D+03,6.5758D+03,6.6938D+03,6.8148D+03,6.9398D+
     $03,7.0678D+03,7.2030D+03,7.4648D+03,7.6067D+03,7.7542D+03,7.9063D+
     $03,8.4088D+03,8.5605D+03,8.7152D+03,8.8765D+03,9.6783D+03,9.8533D+
     $03,1.0219D+04,1.0408D+04,2.2155D+04,2.2545D+04,2.2949D+04,2.3374D+
     $04,2.7163D+04,2.7674D+04,2.8444D+04,2.8972D+04,1.1459D+05,1.1789D+
     $05/
C     Z = 88
      DATA (EIP(I),I=3916,4004)/226.050D0,5.2770D+00,1.0144D+01,3.4000D+
     101,4.6000D+01,5.8000D+01,7.6000D+01,8.9000D+01,1.0300D+02,1.4000D+
     202,1.5600D+02,2.3848D+02,2.6672D+02,2.9284D+02,3.1845D+02,3.4392D+
     302,3.7265D+02,4.0830D+02,4.3777D+02,4.6892D+02,5.0137D+02,6.0950D+
     402,6.3895D+02,6.7010D+02,7.0072D+02,7.8887D+02,8.2367D+02,8.6987D+
     502,9.5947D+02,1.2078D+03,1.2521D+03,1.2966D+03,1.3436D+03,1.3918D+
     603,1.4411D+03,1.4921D+03,1.5433D+03,1.6078D+03,1.6628D+03,1.7188D+
     703,1.7768D+03,1.8351D+03,1.8958D+03,2.2446D+03,2.3058D+03,2.3688D+
     803,2.4323D+03,2.4993D+03,2.5663D+03,2.6766D+03,2.7468D+03,2.8188D+
     903,2.8926D+03,3.1756D+03,3.2506D+03,3.3261D+03,3.4026D+03,3.7081D+
     $03,3.7928D+03,4.0023D+03,4.0868D+03,6.7499D+03,6.8719D+03,6.9969D+
     $03,7.1259D+03,7.2579D+03,7.3976D+03,7.6889D+03,7.8351D+03,7.9871D+
     $03,8.1439D+03,8.6629D+03,8.8186D+03,8.9771D+03,9.1426D+03,1.0076D+
     $04,1.0256D+04,1.0636D+04,1.0832D+04,2.2843D+04,2.3213D+04,2.3599D+
     $04,2.4009D+04,2.7978D+04,2.8479D+04,2.9289D+04,2.9808D+04,1.1764D+
     $05,1.2123D+05/
C     Z = 89
      DATA (EIP(I),I=4005,4094)/227.000D0,6.9000D+00,1.2100D+01,2.0000D+
     101,4.9000D+01,6.2000D+01,7.6000D+01,9.5000D+01,1.0900D+02,1.2300D+
     202,1.6400D+02,1.9276D+02,2.8105D+02,3.0672D+02,3.3162D+02,3.5678D+
     302,3.8217D+02,4.0973D+02,4.4666D+02,4.7554D+02,5.0572D+02,5.3674D+
     402,6.5506D+02,6.8558D+02,7.1776D+02,7.4932D+02,8.4749D+02,8.8309D+
     502,9.2199D+02,1.0202D+03,1.2511D+03,1.2972D+03,1.3434D+03,1.3924D+
     603,1.4426D+03,1.4937D+03,1.5467D+03,1.5998D+03,1.6681D+03,1.7251D+
     703,1.7831D+03,1.8431D+03,1.9032D+03,1.9661D+03,2.3239D+03,2.3871D+
     803,2.4521D+03,2.5173D+03,2.5863D+03,2.6553D+03,2.7744D+03,2.8466D+
     903,2.9206D+03,2.9964D+03,3.2879D+03,3.3649D+03,3.4422D+03,3.5204D+
     $03,3.8657D+03,3.9531D+03,4.1708D+03,4.2576D+03,6.9269D+03,7.0529D+
     $03,7.1819D+03,7.3149D+03,7.4509D+03,7.5953D+03,7.9159D+03,8.0666D+
     $03,8.2231D+03,8.3844D+03,8.9199D+03,9.0798D+03,9.2421D+03,9.4118D+
     $03,1.0476D+04,1.0661D+04,1.1057D+04,1.1260D+04,2.3538D+04,2.3888D+
     $04,2.4256D+04,2.4651D+04,2.8801D+04,2.9291D+04,3.0141D+04,3.0651D+
     $04,1.2070D+05,1.2460D+05/
C     Z = 90
      DATA (EIP(I),I=4095,4185)/232.047D0,6.9500D+00,1.2000D+01,2.0000D+
     101,2.9200D+01,6.5000D+01,8.0000D+01,9.4000D+01,1.1500D+02,1.3000D+
     202,1.4500D+02,2.1200D+02,2.3060D+02,3.2470D+02,3.4780D+02,3.7150D+
     302,3.9620D+02,4.2150D+02,4.4790D+02,4.8610D+02,5.1440D+02,5.4360D+
     402,5.7320D+02,7.0170D+02,7.3330D+02,7.6650D+02,7.9900D+02,9.0720D+
     502,9.4360D+02,9.7520D+02,1.0820D+03,1.2960D+03,1.3440D+03,1.3920D+
     603,1.4430D+03,1.4950D+03,1.5480D+03,1.6030D+03,1.6580D+03,1.7300D+
     703,1.7890D+03,1.8490D+03,1.9110D+03,1.9730D+03,2.0380D+03,2.4050D+
     803,2.4700D+03,2.5370D+03,2.6040D+03,2.6750D+03,2.7460D+03,2.8740D+
     903,2.9480D+03,3.0240D+03,3.1020D+03,3.4020D+03,3.4810D+03,3.5600D+
     $03,3.6400D+03,4.0250D+03,4.1150D+03,4.3410D+03,4.4300D+03,7.1070D+
     $03,7.2370D+03,7.3700D+03,7.5070D+03,7.6470D+03,7.7960D+03,8.1460D+
     $03,8.3010D+03,8.4620D+03,8.6280D+03,9.1800D+03,9.3440D+03,9.5100D+
     $03,9.6840D+03,1.0880D+04,1.1070D+04,1.1480D+04,1.1690D+04,2.4240D+
     $04,2.4570D+04,2.4920D+04,2.5300D+04,2.9630D+04,3.0110D+04,3.1000D+
     $04,3.1500D+04,1.2380D+05,1.2800D+05/
C     Z = 91
      DATA (EIP(I),I=4186,4277)/231.000D0,6.0000D+00,1.1891D+01,2.1016D+
     101,3.3121D+01,4.5471D+01,7.8306D+01,9.2306D+01,1.0601D+02,1.3146D+
     202,1.4581D+02,1.6116D+02,2.1636D+02,2.3526D+02,3.3146D+02,3.5506D+
     302,3.7931D+02,4.0456D+02,4.3046D+02,4.5741D+02,4.9651D+02,5.2541D+
     402,5.5526D+02,5.8556D+02,7.1691D+02,7.4926D+02,7.8321D+02,8.1646D+
     502,9.2706D+02,9.6426D+02,1.0326D+03,1.1060D+03,1.3242D+03,1.3732D+
     603,1.4227D+03,1.4747D+03,1.5277D+03,1.5822D+03,1.6382D+03,1.6947D+
     703,1.7682D+03,1.8282D+03,1.8897D+03,1.9532D+03,2.0167D+03,2.0832D+
     803,2.4582D+03,2.5247D+03,2.5932D+03,2.6617D+03,2.7342D+03,2.8067D+
     903,2.9377D+03,3.0137D+03,3.0912D+03,3.1712D+03,3.4777D+03,3.5582D+
     $03,3.6392D+03,3.7212D+03,4.1162D+03,4.2067D+03,4.4377D+03,4.5287D+
     $03,7.2660D+03,7.3980D+03,7.5340D+03,7.6740D+03,7.8175D+03,7.9695D+
     $03,8.3275D+03,8.4865D+03,8.6510D+03,8.8205D+03,9.3850D+03,9.5525D+
     $03,9.7225D+03,9.9005D+03,1.1123D+04,1.1318D+04,1.1738D+04,1.1953D+
     $04,2.4782D+04,2.5117D+04,2.5477D+04,2.5867D+04,3.0292D+04,3.0782D+
     $04,3.1692D+04,3.2207D+04,1.2709D+05,1.3024D+05/
C     Z = 92
      DATA (EIP(I),I=4278,4370)/238.040D0,6.1200D+00,1.1450D+01,1.7920D+
     101,3.1120D+01,4.7330D+01,6.2830D+01,9.2700D+01,1.0570D+02,1.1910D+
     202,1.4900D+02,1.6270D+02,1.7840D+02,2.2180D+02,2.4100D+02,3.3930D+
     302,3.6340D+02,3.8820D+02,4.1400D+02,4.4050D+02,4.6800D+02,5.0800D+
     402,5.3750D+02,5.6800D+02,5.9900D+02,7.3320D+02,7.6630D+02,8.0100D+
     502,8.3500D+02,9.4800D+02,9.8600D+02,1.0910D+03,1.1310D+03,1.3540D+
     603,1.4040D+03,1.4550D+03,1.5080D+03,1.5620D+03,1.6180D+03,1.6750D+
     703,1.7330D+03,1.8080D+03,1.8690D+03,1.9320D+03,1.9970D+03,2.0620D+
     803,2.1300D+03,2.5130D+03,2.5810D+03,2.6510D+03,2.7210D+03,2.7950D+
     903,2.8690D+03,3.0030D+03,3.0810D+03,3.1600D+03,3.2420D+03,3.5550D+
     $03,3.6370D+03,3.7200D+03,3.8040D+03,4.2090D+03,4.3000D+03,4.5360D+
     $03,4.6290D+03,7.4280D+03,7.5620D+03,7.7010D+03,7.8440D+03,7.9910D+
     $03,8.1460D+03,8.5120D+03,8.6750D+03,8.8430D+03,9.0160D+03,9.5930D+
     $03,9.7640D+03,9.9380D+03,1.0120D+04,1.1370D+04,1.1570D+04,1.2000D+
     $04,1.2220D+04,2.5330D+04,2.5670D+04,2.6040D+04,2.6440D+04,3.0960D+
     $04,3.1460D+04,3.2390D+04,3.2920D+04,1.3040D+05,1.3250D+05/
C
      END
C
      BLOCK DATA ANDATD
C
C***********************************************************************
C
C     PART OF SUBROUTINE ANDATA - SPLIT OFF FOR COMPILER SPACE
C
C     ANEOS PACKAGE
C     DATA STATEMENTS
C     ATOMIC WEIGHT OF ELEMENT Z IS (Z*(Z+1))/2
C     FIRST IONIZATION POTENTIAL OF ELEMENT Z IS (Z*(Z+1))/2+1
C     LAST IONIZATION POTENTIAL OF ELEMENT Z IS (Z*(Z+1))/2+Z
C
C************************************** 8/87 version slt ***************
C
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
      SAVE
C
C     SPACE FOR A LOT MORE TABLES--BUT THERE ARE ONLY 9 DEFINED HERE
C
      REAL DTAB
      CHARACTER*24 NAMTAB
      COMMON /LIBTAB/ NUMTAB, ITABLE(9), ITABPL(9), ITABTY(9), DTAB(238)
      COMMON /LIBCAB/ NAMTAB(9)
      SAVE   /LIBTAB/,/LIBCAB/
C
C     ******************************************************************
C     LIBRARY OF ANALYTICAL EOS
C
C     THE FOLLOWING ARE EXAMPLES FOR ILLUSTRATIVE PURPOSES
C     DATA MIGHT NOT BE THE BEST AVAILABLE
C
      DATA NUMTAB/9/
C     DRY AIR       SC-RR-70-28
      DATA NAMTAB(1)/'AIR, dry/no molecules'/
      DATA ITABLE(1),ITABPL(1),ITABTY(1)/1,1,0/
      DATA (DTAB(I),I=1,30)/3.,2.,0.00123,21*0.,7.,.78455,8.,.21075
     1 ,18.,.0047/
C     GOLD          SC-RR-70-28
      DATA NAMTAB(2)/'GOLD [obsolete]'/
      DATA ITABLE(2),ITABPL(2),ITABTY(2)/2,31,0/
      DATA (DTAB(I),I=31,56)/1.,4.,19.3,0.,0.,1.75E12,3.054,.01551
     1  ,0.,2.,1.45E10,.1151,12*0.,79.,1./
C     ALUMINUM      SC-RR-70-28
      DATA NAMTAB(3)/'ALUMINUM [obsolete]'/
      DATA ITABLE(3),ITABPL(3),ITABTY(3)/3,57,0/
      DATA (DTAB(I),I=57,82)/1.,4.,2.7,0.,0.,7.63E11,2.06,.0343
     1  ,-1.,2.,1.2E11,.08,12*0.,13.,1./
C     BERYLLIUM     SC-RR-70-28
      DATA NAMTAB(4)/'BERYLLIUM [obsolete]'/
      DATA ITABLE(4),ITABPL(4),ITABTY(4)/4,83,0/
      DATA (DTAB(I),I=83,108)/1.,4.,1.845,0.,0.,-7.97E5,1.17
     1   ,.09995,1.091,2.,3.69E11,.134,12*0.,4.,1./
C     IRON  130 KBAR PHASE TRANSITION   SC-RR-70-28
      DATA NAMTAB(5)/'IRON 130PT [obsolete]'/
      DATA ITABLE(5),ITABPL(5),ITABTY(5)/5,109,0/
      DATA (DTAB(I),I=109,134)/1.,4.,7.85,0.,0.,1.93E12,1.75
     1  ,0.,0.,2.,7.3E10,.1573,5*0.,8.36,8.75,1.12E11,2.3E12,5.E12
     2  ,2*0.,26.,1./
C     ALUMINUM WITH MELT TRANSITION AND CONDUCTION
      DATA NAMTAB(6)/'ALUMINUM/melt [obsolete]'/
      DATA ITABLE(6),ITABPL(6),ITABTY(6)/6,135,0/
      DATA (DTAB(I),I=135,160)/1.,4.,2.7,0.,0.,7.63E11,2.06
     1 ,.0343,-1.,2.,1.2E11,-6.639E9,3.5E12,.8,2.7E11,0.,2.305,5*0.
     2 ,3.98E9,.924,13.,1./
C     LEAD WITH MELT TRANSITION AND CONDUCTION
      DATA NAMTAB(7)/'LEAD/melt [obsolete]'/
      DATA ITABLE(7),ITABPL(7),ITABTY(7)/7,161,0/
      DATA (DTAB(I),I=161,186)/1.,4.,11.35,0.,0.,-2.051E5,2.77
     1  ,.0076,1.46,2.,9.5E9,-4.08E8,2.E12,0.,4.E10,0.,9.94,5*0.
     2  ,2.30E8,.967,82.,1./
C     BERYLLIUM WITH MELT TRANSITION AND CONDUCTION
      DATA NAMTAB(8)/'BE/melt [obsolete]'/
      DATA ITABLE(8),ITABPL(8),ITABTY(8)/8,187,0/
      DATA (DTAB(I),I=187,212)/1.,4.,1.851,0.,0.,-7.998E5,1.16
     1  ,.09995,1.124,2.,3.69E11,-3.68E10,0.,0.,2.9E10,-.54347,6*0.
     2  ,1.3E10,0.,4.,1./
C     COPPER WITH MELT TRANSITION AND CONDUCTION
      DATA NAMTAB(9)/'COPPER/melt [obsolete]'/
      DATA ITABLE(9),ITABPL(9),ITABTY(9)/9,213,0/
      DATA (DTAB(I),I=213,238)/1.,4.,8.94,0.,0.,-3.94E5,1.99
     1  ,.0271,1.489,2.,5.25E10,-4.637E9,6.E12,.7,4.4E11,7*0.
     2  ,2.055E9,-8.217,29.,1./
C
      END

